<?php
/**
 * @version		$Id: admin.mymuse.php 139 2010-10-09 20:08:07Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_mymuse'.DS.'tables');
jimport( 'joomla.application.component.model' );
JModel::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_mymuse'.DS.'models');
ini_set('memory_limit',"128M");


// Require the base controller
require_once (JPATH_COMPONENT.DS.'controller.php');

// require the helper
require_once (JPATH_COMPONENT.DS.'helpers'.DS.'helper.php');
//print_pre($_REQUEST); 
$controller = JRequest::getWord('controller');

// Require specific controller if requested
if($controller) {
    $path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
    //echo "path = $path ";
    if (file_exists($path)) {
        require_once $path;
    } else {
        $controller = '';
    }
}

// Create the controller
$classname    = 'MyMuseController'.ucfirst($controller);
$controller   = new $classname( );


// Perform the Request task
$controller->execute(JRequest::getVar('task', null, 'default', 'cmd'));

// Redirect if needed
$controller->redirect();
?>