<?php
/**
 * @version		$Id: shopper.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is within the rest of the framework
defined('_JEXEC') or die('Restricted access');

/**
 * Store table user_info
 */
class TableShopper extends JTable
{
	/** @var int Primary key */
	var $id					= null;
	/** @var int */
	var $user_id			= null;
	/** @var string */
	var $address_type		= 'BT';
	/** @var string */
	var $address_type_name	= null;
	/** @var int */
	var $shopper_group_id	= 1;
	/** @var string */
	var $company			= null;
	/** @var string */
	var $title				= null;
	/** @var string */
	var $last_name			= null;
	/** @var string */
	var $first_name			= null;
	/** @var string */
	var $middle_name		= null;
	/** @var string */
	var $phone_1			= null;
	/** @var string */
	var $phone_2			= null;
	/** @var string */
	var $fax				= null;
	/** @var string */
	var $address_1			= null;
	/** @var string */
	var $address_2			= null;
	/** @var string */
	var $city				= null;
	/** @var string */
	var $state				= null;
	/** @var string */
	var $country			= null;
	/** @var string */
	var $zip				= null;
	/** @var char Y/N */
	var $terms_of_service	= null;
	/** @var string */
	var $comments			= null;
	/** @var string */
	var $perms				= "shopper";
	/** @var datetime */
	var $created			= null;
	/** @var datetime */
	var $modified			= null;
	

	/**
	* @param database A database connector object
	*/
	function __construct( &$db ) {
		parent::__construct( '#__mymuse_shopper', 'id', $db );
	}

	/**
	 * Overloaded check function
	 *
	 * @access public
	 * @return boolean
	 * @see JTable::check
	 * @since 1.5
	 */
	function check()
	{

		if(empty($this->user_id)) {
			$this->setError(JText::_('No Joomla User ID!'));
			return false;
		}


		return true;

	}

}