<?php
/**
 * @version		$Id: view.html.php 155 2010-10-12 04:01:01Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view' );

class MyMuseViewAttributesku extends Jview
{
	function display($tpl = null){
		global $mainframe, $option;
		
		// Get data from the model
        $items  =& $this->get( 'Data');
        $task = JRequest::getVar('task', null, 'default', 'cmd');

		switch ($task)
		{
			case "addattribute":
			case "editattribute":
			{
				$isNew  = (isset($items->id)? 0 : 1 );
				if($isNew)
				{
					JToolBarHelper::title(   JText::_( 'MyMuse' ).': <small><small>[ ' . JText::_( 'MYMUSE NEW ATTRIBUTE' ).' ]</small></small>' );
					JToolBarHelper::save();
					JToolBarHelper::apply();
					JToolBarHelper::cancel();

				}else{
					JToolBarHelper::title(   JText::_( 'MyMuse' ).': <small><small>[ ' . JText::_( 'MYMUSE EDIT ATTRIBUTE' ).' ]</small></small>' );
					JToolBarHelper::save();
					JToolBarHelper::apply();
					JToolBarHelper::cancel( 'cancel', JText::_( 'MYMUSE CLOSE') );

				}
				
				$this->assignRef( 'row', $items );
				$this->assignRef( 'lists', $lists );
			} break;
			
			default:
			{
				$pid	= JRequest::getVar( 'parentid', null, '', 'int' );
				$product_link = '<small><small><a href="index.php?option=com_mymuse&controller=product&task=edit&cid[]='.$pid.'&type=item">['.JText::_('MYMUSE BACK TO THE PRODUCT').']</a> </small></small>';
				JToolBarHelper::title( JText::_( 'MYMUSE ATTRIBUTES' ).$product_link , 'sections.png' );
				JToolBarHelper::deleteList();
				JToolBarHelper::editListX('editattribute');
				JToolBarHelper::addNewX('addattribute');
				 
				$filter_state = $mainframe->getUserStateFromRequest( $option.'filter_state', 'filter_state', '', 'word' );
				$filter_order = $mainframe->getUserStateFromRequest( $option.'filter_order', 'filter_order', 'a.ordering', 'cmd' );
				$filter_order_Dir = $mainframe->getUserStateFromRequest( $option.'filter_order_Dir', 'filter_order_Dir', '', 'word' );
				$search = $mainframe->getUserStateFromRequest( $option.'search', 'search', '', 'string' );
				$search = JString::strtolower( $search );
				$total 		= & $this->get( 'Total');
				$pagination = & $this->get( 'Pagination' );
				$lists 		= & $this->get( 'Lists' );
				$lists['search']= $search;
				
				

				$this->assignRef( 'pid', $pid );
				$this->assignRef( 'items', $items );
				$this->assignRef('lists', $lists);
				$this->assignRef('pagination', $pagination);

			} break;
		}
        
        JToolBarHelper::help( 'category',true );
        
        $this->params = &JComponentHelper::getParams( 'com_mymuse' );
        $user 		=& JFactory::getUser();
        $this->assignRef('user', $user);

		parent::display($tpl);
	}
	
}
?>