<?php
/**
 * @version		$Id: view.html.php 153 2010-10-10 23:58:05Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view' );

class MyMuseViewCategory extends Jview
{
	function display($tpl = null){
		global $mainframe;
		
		// Get data from the model
        $items  =& $this->get( 'Data');
        $task = JRequest::getVar('task', null, 'default', 'cmd');
        $option= JRequest::getVar('option', 'com_mymuse');

		switch ($task)
		{
			case "add":
			case "edit":
			{
				$isNew  = ($items->id < 1);
				if($isNew)
				{
					JToolBarHelper::title(   JText::_( 'MyMuse' ).': <small><small>[ ' . JText::_( 'MYMUSE NEW CATEGORY' ).' ]</small></small>' );
					JToolBarHelper::save();
					JToolBarHelper::apply();
					JToolBarHelper::cancel();

				}else{
					JToolBarHelper::title(   JText::_( 'MyMuse' ).': <small><small>[ ' . JText::_( 'MYMUSE EDIT CATEGORY' ).' ]</small></small>' );
					JToolBarHelper::save();
					JToolBarHelper::apply();
					JToolBarHelper::cancel( 'cancel', 'Close' );

				}
				$lists 		= & $this->get('Lists');

				$this->assignRef( 'row', $items );
				$this->assignRef( 'lists', $lists );
			} break;
			
			default:
			{
				JToolBarHelper::title( JText::_( 'MYMUSE MYMUSE CATEGORIES' ), 'sections.png' );
				JToolBarHelper::deleteList();
				JToolBarHelper::editListX();
				JToolBarHelper::addNewX();
				 
				$filter_state = $mainframe->getUserStateFromRequest( $option.'filter_state', 'filter_state', '', 'word' );
				$filter_catid = $mainframe->getUserStateFromRequest( $option.'filter_catid', 'filter_catid', 0, 'int' );
				$filter_order = $mainframe->getUserStateFromRequest( $option.'filter_order', 'filter_order', 'c.ordering', 'cmd' );
				$filter_order_Dir = $mainframe->getUserStateFromRequest( $option.'filter_order_Dir', 'filter_order_Dir', 'asc', 'word' );
				$search = $mainframe->getUserStateFromRequest( $option.'search', 'search', '', 'string' );
				$search = JString::strtolower( $search );
				$total 		= & $this->get( 'Total');
				$pagination = & $this->get( 'Pagination' );
				$lists 		= & $this->get( 'Lists' );
				$lists['search']= $search;
				
				// table ordering
				$lists['order_Dir']	= $filter_order_Dir;
				$lists['order']		= $filter_order;
				
				$this->assignRef( 'items', $items );
				$this->assignRef('lists', $lists);
				$this->assignRef('pagination', $pagination);

			} break;
		}
        
        JToolBarHelper::help( 'category',true );
        
        $this->params = &JComponentHelper::getParams( 'com_mymuse' );
        $user 		=& JFactory::getUser();
        $this->assignRef('user', $user);

		parent::display($tpl);
	}
	
}
?>