<?php
/**
 * @version		$Id: default.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
	$lists =& $this->lists;
	$rows =& $this->items;
	$page =& $this->pagination;
	$user =& $this->user;
	$form =& $this->form;


	$ordering = ($lists['order'] == 'c.order_status');

		JHTML::_('behavior.tooltip');
		?>
		
		<form action="index.php" method="post" name="adminForm" >
		<h2><?php echo JText::_('Filter'); ?></h2>
		<table class="paramlist admintable">
		<tr>
			<td rowspan="2"><?php echo $form->render('params', 'dates'); ?></td>
			<td width="100" class="paramlist_key"><?php echo JText::_( 'MYMUSE ORDER STATUS' ); ?>:</td>
			<td width="100" class="paramlist_value"><?php echo $lists['order_status'];?></td>



			<td rowspan="2" valign="top">
			<button onclick="this.form.submit();"><?php echo JText::_( 'MYMUSE SEARCH ORDERS' ); ?></button>
			</td>
		</tr>
		<tr>
			<td width="100" class="paramlist_key"><?php echo JText::_( 'MYMUSE SHOPPER NAME' ); ?>:</td>
			<td width="100" class="paramlist_value"><input type="text" name="search" id="search" value="<?php echo $lists['search'];?>" class="text_area" /></td>
		</tr>
		</table>

		<table class="adminlist" width="500">
		<thead>
			<tr>
				<th width="10">
					<?php echo JText::_( 'MYMUSE NUM' ); ?>
				</th>
				<th width="10">
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows );?>);" />
				</th>
				<th width="20"">
					<?php echo JHTML::_('grid.sort',   JText::_('MYMUSE NUMBER'), 'c.id', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
				<th class="title">
					<?php echo JHTML::_('grid.sort',   JText::_('MYMUSE NAME'), 'u.last_name', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
				<th class="title">
					<?php echo JHTML::_('grid.sort',   JText::_('MYMUSE DATE'), 'c.created', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
				<th class="title">
					<?php echo JText::_('MYMUSE MODIFIED'); ?>
				</th>
				<th class="title">
					<?php echo JHTML::_('grid.sort',   JText::_('MYMUSE STATUS'), 'c.order_status', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>

				<th class="title">
					<?php echo JHTML::_('grid.sort',   JText::_('MYMUSE SUBTOTAL'), 'c.order_subtotal', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="13">
					<?php echo $page->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>

		<tbody>
		<?php
		$k = 0;
		for ( $i=0, $n=count( $rows ); $i < $n; $i++ ) {
			$row = &$rows[$i];

			$link 		= 'index.php?option=com_mymuse&controller=order&task=edit&cid[]='. $row->id;
			$row->checked_out = 0;
			$checked 	= JHTML::_('grid.checkedout',   $row, $i );

			?>
			<tr class="<?php echo "row$k"; ?>">
				<td align="center">
					<?php echo $page->getRowOffset( $i ); ?>
				</td>
				<td>
					<?php echo $checked; ?>
				</td>
				<td>
					<span class="editlinktip hasTip" title="<?php echo JText::_( 'MYMUSE NUMBER' );?>::<?php echo $row->id; ?>">
					<?php
					if (  JTable::isCheckedOut($user->get ('id'), $row->checked_out ) ) {
						echo $row->id;
					} else {
						?>
						<a href="<?php echo JRoute::_( $link ); ?>">
							<?php echo $row->id; ?></a>
						<?php
					}
					?></span>
				</td>

				<td align="center">
					<?php echo $row->first_name; ?>
					<?php echo $row->last_name; ?>
				</td>
				<td align="center">
					<?php echo $row->created; ?>
				</td>
				<td align="center">
					<?php echo $row->modified; ?>
				</td>
				<td align="center">
					<?php echo $row->order_status; ?>
				</td>
				<td align="right">
					$<?php echo $row->order_subtotal; ?>
				</td>
				<?php
				$k = 1 - $k;
				?>
			</tr>
			<?php
		}
		?>
		</tbody>
		</table>
		
		<input type="hidden" name="option" value="com_mymuse" />
		<input type="hidden" name="controller" value="order" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>