<?php
/**
 * @version		$Id: order_form.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

	$lists =& $this->lists;
	$order =& $this->row;
	$shopper =& $this->shopper;
	$user =& $this->user;
	$form =& $this->form;
	$extra =& $this->extra;

?>


        
<form action="index.php" method="post" name="adminForm">
        <table cellspacing="0" cellpadding="0" border="0" width="800">
        <tr>
            <td valign="top" width="600">
            
			<fieldset class="adminform">
			  <legend><?php echo JText::_('MYMUSE ORDER SUMMARY') ?></legend>
			  <table class="admintable">
			    <tr>
			    <td width="50%" valign="top">
				<table class="admintable">
				<tr>
					<td width="100" class="key">
						<?php echo JText::_( 'MYMUSE ORDER ID' ); ?>:
					</td>
					<td colspan="2"><?php echo $order->id; ?>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="title">
							<?php echo JText::_( 'MYMUSE ORDER NUMBER' ); ?>:
						</label>
					</td>
					<td colspan="2"><?php echo $order->order_number; ?>
					</td>
				</tr>
				<tr>
					<td nowrap="nowrap" class="key">
						<label for="alias">
							<?php echo JText::_( 'MYMUSE ORDER STATUS' ); ?>:
						</label>
					</td>
					<td colspan="2">
						<?php echo $order->order_status_form; ?>
					</td>
				</tr>
				<tr>
					<td width="100" class="key">
						<?php echo JText::_( 'MYMUSE SUBTOTAL' ); ?>:
					</td>
					<td colspan="2">$<?php echo $order->order_subtotal; ?> <?php echo $order->order_currency; ?>
					</td>
				</tr>
				<?php if($order->reservation_fee > 0.00){ ?>
				<tr>
					<td class="key">
						<label for="title">
							<?php echo JText::_( 'MYMUSE RESERVATION FEE' ); ?>:
						</label>
					</td>
					<td colspan="2">$<?php echo $order->reservation_fee; ?>
					</td>
				</tr>
			  <?php } ?>
			    </table>
			  </td>
	
			  <td width="50%" valign="top">
			  <table class="admintable">
			  <?php if($this->params->get('my_use_shipping') && isset($order->order_shipping)){ ?>
				<tr>
					<td class="key">
						<label for="title">
							<?php echo JText::_( 'MYMUSE ORDER SHIPPING' ); ?>:
						</label>
					</td>
					<td colspan="2">$<?php echo $order->order_shipping; ?>
					</td>
				</tr>
			  <?php } ?>
				
			  <?php  if($this->params->get('my_use_coupons')){ ?>
				
				<tr>
					<td width="200" class="key">
						<?php echo JText::_( 'MYMUSE COUPON NAME' ); ?>:
					</td>
					<td colspan="2"><?php echo $order->coupon_name; ?>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="title">
							<?php echo JText::_( 'MYMUSE COUPON DISCOUNT' ); ?>:
						</label>
					</td>
					<td colspan="2"><?php echo $order->coupon_discount; ?>
					</td>
				</tr>
				<?php } ?>
				<tr>
					<td nowrap="nowrap" class="key" valign="top">
						<label for="alias">
							<?php echo JText::_( 'MYMUSE NOTES' ); ?>:
						</label>
					</td>
					<td colspan="2">
						<textarea rows="2" cols="30" name="notes"><?php echo $order->notes; ?></textarea>
					</td>
				</tr>
			    </table>
			  </td>
			  </tr>
			  </table>
			<input type="hidden" name="option" value="com_mymuse" />
			<input type="hidden" name="controller" value="order" />
			<input type="hidden" name="cid[]" value="<?php echo $order->id; ?>" />
			<input type="hidden" name="task" value="" />
			<?php echo JHTML::_( 'form.token' ); ?>
			
			</fieldset>
			
            </td>
        </tr>
        <tr>
        	<td valign="top" width="600">
			<fieldset class="adminform">
				<legend><?php echo JText::_('MYMUSE CUSTOMER') ?></legend>
		<table class="admintable" width="100%">
			<tr VALIGN=top>
				<td width=50%><!-- Begin BillTo -->

				<table class="admintable">
					<tr>
						<td COLSPAN=2><b><?php echo JText::_('MYMUSE BILLING ADDRESS') ?></b></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE COMPANY') ?>:</td>
						<td><?php echo $shopper->company ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE FULL NAME') ?>:</td>
						<td><?php echo $shopper->first_name ?> <?php echo $shopper->middle_name ?>

						<?php echo $shopper->last_name ?></td>
					</tr>
					<tr VALIGN=TOP>
						<td><?php echo JText::_('MYMUSE ADDRESS') ?>:</td>
						<td><?php echo $shopper->address_1 ?> <BR>
						<?php echo $shopper->address_2 ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE CITY') ?>:</td>
						<td><?php echo $shopper->city ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE STATE/PROV') ?>:</td>
						<td><?php echo $shopper->state ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE ZIP') ?>:</td>
						<td><?php echo $shopper->zip ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE COUNTRY') ?>:</td>
						<td><?php echo $shopper->country ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE PHONE') ?>:</td>
						<td><?php echo $shopper->phone_1 ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE FAX') ?>:</td>
						<td><?php echo $shopper->fax ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE EMAIL') ?>:</td>
						<td><?php echo $shopper->email ?></td>
					</tr>
				</table>
				<!-- End BillTo --></td>

				<td width=50%><?php 
				if($this->params->get('my_use_shipping') && isset($shopper->shipto)){
					?>
				<table class="admintable">
					<tr>
						<td COLSPAN=2><b><?php echo JText::_('MYMUSE SHIPPING ADDRESS') ?></b></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE COMPANY') ?>:</td>
						<td><?php echo $shopper->shipto->company ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE FULL NAME') ?>:</td>
						<td><?php echo $shopper->shipto->first_name ?> <?php echo $shopper->shipto->middle_name ?>

						<?php echo $shopper->shipto->last_name ?></td>
					</tr>
					<tr VALIGN=TOP>
						<td><?php echo JText::_('MYMUSE ADDRESS') ?>:</td>
						<td><?php echo $shopper->shipto->address_1 ?> <BR>
						<?php echo $shopper->shipto->address_2 ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE CITY') ?>:</td>
						<td><?php echo $shopper->shipto->city ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE STATE/PROV') ?>:</td>
						<td><?php echo $shopper->shipto->state ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE ZIP') ?>:</td>
						<td><?php echo $shopper->shipto->zip ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE COUNTRY') ?>:</td>
						<td><?php echo $shopper->shipto->country ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE PHONE') ?>:</td>
						<td><?php echo $shopper->shipto->phone_1 ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE FAX') ?>:</td>
						<td><?php echo $shopper->shipto->fax ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_('MYMUSE EMAIL') ?>:</td>
						<td><?php echo $shopper->shipto->email ?></td>
					</tr>
				</table>
				<!-- End ShipTo --> <?php } ?></td>
			</tr>
		</table>
		</fieldset>
        	</td>
        </tr>
        <tr>
        	<td valign="top" width="600">
			<fieldset class="adminform">
				<legend><?php echo JText::_('MYMUSE ORDER ITEMS') ?></legend>
		<?php $string = '
        		<table class="adminlist" width="600">
		<tr>
		<th><b>'. JText::_('Title') .'</b></th>
		<!--  th><b>'. JText::_('MYMUSE SKU') .'</b></th -->
		<th align="right"><b>'. JText::_('MYMUSE PRICE') .'</b></th>
		<th align="right"><b>'. JText::_('MYMUSE QUANTITY') .'</b></th>
		<th align="right"><b>'. JText::_('MYMUSE SUBTOTAL') .'</b></th> 
		<th align="right"><b>'. JText::_('MYMUSE DOWNLOADS') .'</b></th> 
		<th align="right"><b>'. JText::_('MYMUSE EXPIRES') .'</b></th> 
		</tr>
		';
		

		  // LOOP THRU order_items
		  for ($i = 0; $i < count($order->items); $i++) { 
		      if ($i % 2){
		          $class = "row1";
		      }else{
		          $class = "row0";
		      }
		      if($order->items[$i]->end_date){
		      	$end_date = date("Y-m-d h:i:s",$order->items[$i]->end_date);
		      }else{
		      	$end_date = '';
		      }

			$string .= '
		    <tr class="'.$class .'">
		        <td>'. $order->items[$i]->product_name .'</td>
		        <!--  td>'. $order->items[$i]->product_sku .'</td -->
		        <td align="right">$'. $order->items[$i]->product_item_price .' </td>
		        <td align="right">'. $order->items[$i]->product_quantity .'</td>
		        <td align="right">'. $order->items[$i]->subtotal .'</td>
		        <td align="right">'. $order->items[$i]->downloads .'</td>
		        <td align="right">'. $end_date .'</td>
		       </tr>
		       ';
	 	} 
		
		if($this->params->get('my_use_coupons') && $order->coupon_name){
			$string .= '
		    <tr>
		    <td colspan="3" align="right">'. $order->coupon_name. ':
		        </td>
		        <td colspan="1" align="right">'. $order->coupon_discount .' %
		        </td>
		        <td></td>
		    <td></td>
		    </tr>
		    ';
		}
	
		if ($this->params->get('my_use_shipping') && $order->order_shipping > 0) { 
			$string .= '
		    <tr>
		    <td colspan="3" align="right">' .JText::_('Shipping'). ':</td>
		    <td colspan="1" align="right">'. $order->order_shipping. '
		    </td>
		    <td></td>
		    <td></td>
		    </tr>
		    ';
		}
		
		// TAXES
		if(@$order->tax_array){
			reset($order->tax_array);
		    while(list($key,$val) = each($order->tax_array)){
		    	$string .= '
		        <tr>
		        <td colspan="3" align="right">'. $key. '</td>
		        <td colspan="1" align="right">'. $val. '</td>
		        <td></td>
		    	<td></td>
		        </tr>
		        ';
		    } 
		}
		
		$string .= '
		<tr>
		    <td colspan="3" align="right" class="textbox2"><b>' .JText::_('Total'). ':</b></td>
		    <td colspan="1" align="right" class="textbox2"><b>$' .$order->order_total. ' 
		    ' .$order->order_currency.'</b></td>
		    <td></td>
		    <td></td>

		</tr>
		';
		if($order->reservation_fee > 0.00){
		$string .= '
			
		<tr>
		    <td colspan="3" align="right" class="textbox2"></td>
		    <td colspan="1" align="right" class="textbox2"></td>
		    <td></td>
		    <td></td>
		</tr>
		<tr>
		    <td colspan="3" align="right" class="textbox2"><b>' .JText::_('Reservation Fee'). ':</b></td>
		    <td colspan="1" align="right" class="textbox2"><b>$' .$order->reservation_fee. ' </b></td>
		    <td></td>
		    <td></td>
		</tr>
		';
			if($order->non_res_fee > 0.00){
			$string .= '
			<tr>
		    	<td colspan="3" align="right" class="textbox2"><b>' .JText::_('Other Charges'). ':</b></td>
		    	<td colspan="1" align="right" class="textbox2"><b>$' .$order->non_res_fee. ' </b></td>
		    	<td></td>
		    	<td></td>
			</tr>
			<tr>
			    <td colspan="3" align="right" class="textbox2"><b>' .JText::_('Paid to Date'). ':</b></td>
			    <td colspan="1" align="right" class="textbox2"><b>$' .$order->pay_now. ' </b></td>
			    <td></td>
			    <td></td>
			</tr>
			';
			}
		$owing = $order->order_total - $order->pay_now; 
		$string .= '
		<tr>
		    <td colspan="3" align="right" class="textbox2"><b>' .JText::_('Owing'). ':</b></td>
		    <td colspan="1" align="right" class="textbox2"><b>$' .sprintf("%.2f", $owing). ' </b></td>
		    <td></td>
		    <td></td>
		</tr>
		';
		}
		
		$string .= '
		</table>
		';
		echo $string;
		?>
        	</fieldset>
        	</td>
        </tr>
        <?php if($extra){ ?>
        <tr>
            <td>
            <fieldset class="adminform">
			  <legend><?php echo JText::_('MYMUSE EXTRA INFO') ?></legend>
			  <table class="admintable">
			    <tr>
			    <td width="600" valign="top">
        			<?php print_pre($extra); ?> 
        		</td>
        		</tr>
        	  </table>
        </fieldset>
        </tr>
        <?php }?>
        </table>
</form>
