<?php
/**
 * @version		$Id: view.html.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view' );

class myMuseViewOrder extends Jview
{
	function display($tpl = null){
		global $mainframe,$option;
		
		// Get data from the model
        $items  =& $this->get( 'Data');
        $task = JRequest::getVar('task', null, 'default', 'cmd');

		switch ($task)
		{
			case "add":
			case "edit":
			{
				$row =& $items[0];
				
				$isNew  = (!isset($row->id));
				if($isNew)
				{
					JToolBarHelper::title(   JText::_( 'MyMuse' ).': <small><small>[ ' . JText::_( 'MYMUSE NEW ORDER' ).' ]</small></small>' );
					JToolBarHelper::save();
					JToolBarHelper::apply();
					JToolBarHelper::cancel();

				}else{
					JToolBarHelper::title(   JText::_( 'MyMuse' ).': <small><small>[ ' . JText::_( 'MYMUSE EDIT ORDER' ).' ]</small></small>' );
					JToolBarHelper::save();
					JToolBarHelper::apply();
					JToolBarHelper::cancel( 'cancel', 'MYMUSE CLOSE' );

				}
				$lists 		= & $this->get('Lists');
				$shopper    = & $this->get('shopper');
				// Process order plugins
    			$dispatcher	=& JDispatcher::getInstance();
				JPluginHelper::importPlugin('system');
				$results = $dispatcher->trigger('onRenderOrder', array ($row->extra ));
				$extra = $results[0];
				
				$this->assignRef( 'row', $row );
				$this->assignRef( 'lists', $lists );
				$this->assignRef( 'shopper', $shopper );
				$this->assignRef( 'items', $items );
				$this->assignRef( 'extra', $extra );
			} break;
			

			
			default:
			{
				JToolBarHelper::title( JText::_( 'MYMUSE MYMUSE ORDERS' ), 'sections.png' );
				JToolBarHelper::deleteList();
				JToolBarHelper::editListX();
				 
				$filter_order = $mainframe->getUserStateFromRequest( $option.'filter_order', 'filter_order', 'c.id', 'cmd' );
				if($filter_order == "a.ordering"){
					$filter_order = "c.id";
				}
				$filter_order_Dir = $mainframe->getUserStateFromRequest( $option.'filter_order_Dir', 'filter_order_Dir', 'desc', 'word' );
				if($filter_order_Dir == ""){
					$filter_order_Dir = "desc";
				}
				$search = $mainframe->getUserStateFromRequest( $option.'search', 'search', '', 'string' );
				$search = JString::strtolower( $search );

				$pagination = & $this->get( 'Pagination' );
				$lists 		= & $this->get( 'Lists' );
				$lists['search']	= $search;
				$lists['order_Dir']	= $filter_order_Dir;
				$lists['order']		= $filter_order;

				$this->assignRef( 'items', $items );
				$this->assignRef('lists', $lists);
				$this->assignRef('pagination', $pagination);
				
				$params			   = JRequest::getVar( 'params', 'params','', 'array' );
    			$filter_date_start = isset($params['filter_date_start'])?$params['filter_date_start'] : '' ;
				$filter_date_end   = isset($params['filter_date_end'])? $params['filter_date_end'] : '';
				
				$form = new JParameter('', JPATH_COMPONENT.DS.'models'.DS.'order.xml');
				$form->set('filter_date_start', JHTML::_('date', $filter_date_start, '%Y-%m-%d'));
				$form->set('filter_date_end', JHTML::_('date', $filter_date_end, '%Y-%m-%d'));
				$this->assignRef('form', $form);
	
			} break;
		}
        
        JToolBarHelper::help( 'order',true );
        
        $this->params = &JComponentHelper::getParams( 'com_mymuse' );
        $user 		=& JFactory::getUser();
        $this->assignRef('user', $user);


		parent::display($tpl);

	}

}
?>