<?php
/**
 * @version		$Id: product_form.php 169 2010-10-13 02:19:13Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
$row = $this->row;

$lists = $this->lists;
$form = $this->form;
$params = $this->params;
$nullDate = $this->nullDate;
$editor =& JFactory::getEditor();
jimport('joomla.html.pane');
$startOffset = 0;
if($lists['type'] == "file"){
	$startOffset = 1;
}
if($lists['type'] == "item"){
	$startOffset = 2;
}


// TODO: allowAllClose should default true in J!1.6, so remove the array when it does.
$pane	= &JPane::getInstance('sliders', array('allowAllClose' => true));
$toppane	= &JPane::getInstance('Tabs', array('startOffset' => $startOffset));
JHTML::_('behavior.tooltip');
?>
		
	<script language="javascript" type="text/javascript">
	
	
		function selectedItem (multiselect) {
		var b;
		for (i = 0; i < multiselect.options.length; i++) {
			if (multiselect.options[i].selected == "-1") { alert("-1"); return false;}
		    if (multiselect.options[i].selected) { b = 1 }
		}
		     if (!b) {
		          return false;
		     }else if (b == 1){
		          return true;
		     }
		}

		function submitbutton(pressbutton)
		{
			var form = document.adminForm;

			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			var text = <?php echo $editor->getContent( 'text' ); ?>
			if (form.title.value == ""){
				alert( "<?php echo JText::_( 'MYMUSE PRODUCT MUST HAVE A TITLE', true ); ?>" );
			} else if (!selectedItem(form.catid)){
				form.catid.focus();
				alert( "<?php echo JText::_( 'MYMUSE MUST SELECT CATEGORY', true ); ?>" );
			} else if (form.artistid.value == "-1"){
				form.artistid.focus();
				alert( "<?php echo JText::_( 'MYMUSE MUST SELECT ARTIST', true ); ?>" );
			} else if (text == ""){
				alert( "<?php echo JText::_( 'MYMUSE PRODUCT MUST HAVE SOME TEXT', true ); ?>" );
			} else {
				<?php
				echo $editor->save( 'text' );
				?>
				submitform( pressbutton );
			}
		}
		

		</script>
		
<?php 

	echo $toppane->startPane("mainpane"); 
	$title = JText::_( 'MYMUSE DETAILS' );
	echo $toppane->startPanel( $title, "detail-pane" );
?>
		<form action="index.php" method="post" name="adminForm">

		<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top" width="450">
		<table  class="adminform" border=1>
		<tr>
			<td>
				<label for="title">
					<?php echo JText::_( 'MYMUSE TITLE' );?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="title" id="title" size="40" maxlength="255" value="<?php echo $row->title; ?>" />
			</td>
			<td>
				<label>
					<?php echo JText::_( 'MYMUSE PUBLISHED' ); ?>
				</label>
			</td>
			<td>
				<?php echo $lists['state']; ?>
			</td>
		</tr>
		<tr>
			<td>
				<label for="alias">
					<?php echo JText::_( 'MYMUSE ALIAS' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="alias" id="alias" size="40" maxlength="255" value="<?php echo $row->alias; ?>" />
			</td>
			<td rowspan="3"  valign="top">
				<label for="artistids">
					<?php echo JText::_( 'MYMUSE OTHER ARTISTS' ); ?>
				</label>
			</td>
			<td rowspan="3" valign="top">
				<?php
				if($lists['isNew']){
					echo JText::_("MYMUSE SAVE THEN ADD ARTISTS");
				}else{
					 echo $lists['artistids'];
				}
				 ?>
			</td>
		</tr>

		<tr>
			<td>
				<label for="artistid">
					<?php echo JText::_( 'MYMUSE MAIN ARTIST' ); ?>
				</label>
			</td>
			<td>
				 <?php echo $lists['artistid']; ?>
			</td>
		</tr>
		
		<tr>
			<td>
				<label for="product_sku">
					<?php echo JText::_( 'MYMUSE SKU' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="product_sku" id="product_sku" size="20" maxlength="255" 
				value="<?php echo $row->product_sku; ?>" />	
			</td>
		</tr>
		
		<tr>
			<td>
				<label for="product_price">
					<?php echo JText::_( 'MYMUSE PRICE' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="product_price" id="product_price" size="10" maxlength="10" 
				value="<?php echo $row->product_price; ?>" />	
			</td>
			<td valign="top" rowspan="2">
				<label for="catid">
					<?php echo JText::_( 'MYMUSE CATEGORY' ); ?>
				</label>
			</td>
			<td rowspan="2">
				<?php echo $lists['catid']; ?>
			</td>
		</tr>
		<tr>
			<td>
				<label for="product_discount">
					<?php echo JText::_( 'MYMUSE DISCOUNT' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="product_discount" id="product_discount" size="20" maxlength="255" value="<?php echo $row->product_discount; ?>" />
					
			</td>
		</tr>
		<tr>
			<td>
				<label for="reservation_fee">
					<?php echo JText::_( 'MYMUSE RESERVATION FEE' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="reservation_fee" id="reservation_fee" size="20" maxlength="255" value="<?php echo $row->reservation_fee; ?>" />
					
			</td>
		</tr>
		</table>
				<table class="adminform">
					<tr>
						<td class="key">
							<label for="image">
								<?php echo JText::_( 'MYMUSE IMAGE FOR LISTINGS PAGE' ); ?>:
							</label>
						</td>
						<td>
							<?php echo $lists['image']; ?>
						</td>


						<td>
						<script language="javascript" type="text/javascript">
						if (document.forms.adminForm.image.options.value!=''){
							jsimg='../images/stories/albums/' + getSelectedValue( 'adminForm', 'image' );
						} else {
							jsimg='../images/M_images/blank.png';
						}
						document.write('<img src=' + jsimg + ' name="imagelib"  border="2" alt="<?php echo JText::_( 'Preview', true ); ?>" />');
						</script>
						</td>
					</tr>
				</table>
				<table class="adminform">
				<tr>
					<td>
						<?php
						// parameters : areaname, content, width, height, cols, rows
						echo $editor->display( 'text',  $row->text , '100%', '450', '75', '20' ) ;
						?>
					</td>
				</tr>
				</table>
			</td>
			<td valign="top" width="320" style="padding: 7px 0 0 5px">
			<?php
		if ( !$row->hits ) {
			$visibility = 'style="display: none; visibility: hidden;"';
		} else {
			$visibility = '';
		}
		?>
		<table width="100%" style="border: 1px dashed silver; padding: 5px; margin-bottom: 10px;">
		  <tr>
			<td valign="top" rowspan="2">
				<label for="catid">
					<?php echo JText::_( 'MYMUSE REVIEWS' ); ?>
				</label>
			</td>
			<td rowspan="2" valign="top">
				<?php echo $lists['contentid']; ?>
			</td>
		  </tr>
		</table>
		
		<table width="100%" style="border: 1px dashed silver; padding: 5px; margin-bottom: 10px;">
		<?php
		if ( $row->id ) {
		?>
		<tr>
			<td>
				<strong><?php echo JText::_( 'MYMUSE PRODUCT ID' ); ?>:</strong>
			</td>
			<td>
				<?php echo $row->id; ?>
			</td>
		</tr>
		<?php
		}
		?>
		<tr>
			<td>
				<strong><?php echo JText::_( 'MYMUSE STATE' ); ?></strong>
			</td>
			<td>
				<?php echo $row->state > 0 ? JText::_( 'MYMUSE PUBLISHED' ) : ($row->state < 0 ? JText::_( 'MYMUSE ARCHIVED' ) : JText::_( 'MYMUSE DRAFT UNPUBLISHED' ) );?>
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo JText::_( 'MYMUSE HITS' ); ?></strong>
			</td>
			<td>
				<?php echo $row->hits;?>
				<span <?php echo $visibility; ?>>
					<input name="reset_hits" type="button" class="button" value="<?php echo JText::_( 'Reset' ); ?>" onclick="submitbutton('resethits');" />
				</span>
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo JText::_( 'MYMUSE REVISED' ); ?></strong>
			</td>
			<td>
				<?php echo $row->version;?> <?php echo JText::_( 'MYMUSE TIMES' ); ?>
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo JText::_( 'MYMUSE CREATED' ); ?></strong>
			</td>
			<td>
				<?php
				if ( $row->created == $nullDate ) {
					echo JText::_( 'MYMUSE NEW DOCUMENT' );
				} else {
					echo JHTML::_('date',  $row->created  );
				}
				?>
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo JText::_( 'MYMUSE MODIFIED' ); ?></strong>
			</td>
			<td>
				<?php
					if ( $row->modified == $nullDate ) {
						echo JText::_( 'MYMUSE NOT MODIFIED' );
					} else {
						echo JHTML::_('date',  $row->modified);
					}
				?>
			</td>
		</tr>
		</table>
			<?php 

				
				echo $pane->startPane("content-pane");

				$title = JText::_( 'MYMUSE PARAMETERS DETAILS' );
				echo $pane->startPanel( $title, "detail-page" );
				echo $form->render('details');
				echo $pane->endPanel();
				
				$title = JText::_( 'MYMUSE PARAMETERS AUTHORING' );
				echo $pane->startPanel( $title, "authoring-page" );
				echo $form->render('params', 'authoring');
				echo $pane->endPanel();
				
				$title = JText::_( 'MYMUSE PARAMETERS METADATA' );
				echo $pane->startPanel( $title, "metadata-page" );
				echo $form->render('meta', 'metadata');
				echo $pane->endPanel();
				
				echo $pane->endPane();
			?>
			</td>
		</tr>
		</table>
		<input type="hidden" name="sectionid" value="<?php echo $params->get('my_section_catalog'); ?>" />
		<input type="hidden" name="controller" value="product" />
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="old_alias" value="<?php echo $row->alias; ?>" />
		<input type="hidden" name="cid[]" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="version" value="<?php echo $row->version; ?>" />
		<input type="hidden" name="mask" value="0" />
		<input type="hidden" name="product_downloadable" value="0" />
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="task" value="" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
		<?php echo $toppane->endPanel(); ?>
		
		
		<?php 
//TRACKS TRACKS TRACKS TRACKS TRACKS TRACKS TRACKS TRACKS TRACKS TRACKS TRACKS TRACKS TRACKS
		$title = JText::_( 'MYMUSE TRACKS' );
		echo $toppane->startPanel( $title, "tracks-page" );
		
		//See if there is an all files zip
		$all_files = 0;
		for ($i=0, $n=count( $lists['files'] ); $i < $n; $i++)
			{
				if($lists['files'][$i]->file_type == "application/zip"){ 
					$all_files = 1;
				}
			}
			
		if($lists['isNew']){
			echo JText::_("MYMUSE SAVE THEN ADD TRACKS");
		}else{
		//Ordering allowed ?
		$ordering = ($lists['order'] == 'c.ordering');

		?>
<script language="javascript" type="text/javascript">
		/**
		* Submit the tracks form
		*/
		function submitform2(pressbutton){
			if (pressbutton) {
				document.adminForm2.task.value=pressbutton;
			}
			if (typeof document.adminForm2.onsubmit == "function") {
				document.adminForm2.onsubmit();
			}
			document.adminForm2.submit();
		}
		
		function submitbutton2(pressbutton)
		{
			var form = document.adminForm2;
			submitform2( pressbutton );

		}

		// needed for Table Column ordering
		function tableOrdering2( order, dir, task ) {
			var form = document.adminForm2;

			form.filter_order.value 	= order;
			form.filter_order_Dir.value	= dir;
			form.use_parentid.value 	= 1;
			submitform2( task );
		}

		function saveorder2( n,  task ) {
			checkAll_button2( n, task );
		}

		//needed by saveorder2 function
		function checkAll_button2( n, task ) {

		    if (!task ) {
				task = 'saveorder';
			}

			for ( var j = 0; j <= n; j++ ) {
				box = eval( "document.adminForm2.cb" + j );
				if ( box ) {
					if ( box.checked == false ) {
						box.checked = true;
					}
				} else {
					alert("You cannot change the order of items, as an item in the list is `Checked Out`");
					return;
				}
			}
			submitform2(task);
		}
		//tracks orderup and orderdown
		function listItemTask2( id, task ) {
		    var f = document.adminForm2;
		    cb = eval( 'f.' + id );
		    if (cb) {
		        for (i = 0; true; i++) {
		            cbx = eval('f.cb'+i);
		            if (!cbx) break;
		            cbx.checked = false;
		        } // for
		        cb.checked = true;
		        f.boxchecked.value = 1;
		        submitbutton2(task);
		    }
		    return false;
		}
		/**
		* Toggles the check state of a group of boxes
		*
		* Checkboxes must have an id attribute in the form cb0, cb1...
		* @param The number of box to 'check'
		* @param An alternative field name
		*/
		function checkAll2( n, fldName ) {
		  if (!fldName) {
		     fldName = 'cb';
		  }
			var f = document.adminForm2;
			var c = f.toggle.checked;
			var n2 = 0;
			for (i=0; i < n; i++) {
				cb = eval( 'f.' + fldName + '' + i );
				if (cb) {
					cb.checked = c;
					n2++;
				}
			}
			if (c) {
				document.adminForm2.boxchecked.value = n2;
			} else {
				document.adminForm2.boxchecked.value = 0;
			}
		}
		</script>

<table class="toolbar">
	<tr>

		<td class="button" id="toolbar-edit"><a href="#"
			onclick="javascript: submitbutton2('editfile')" class="toolbar"> <span
			class="icon-32-edit" title="Edit Track"> </span> <?php echo JText::_( 'MYMUSE EDIT TRACK' ); ?> </a></td>

		<td class="button" id="toolbar-new"><a href="#"
			onclick="javascript: submitbutton2('addfile')" class="toolbar"> <span
			class="icon-32-new" title="New Track"> </span> <?php echo JText::_( 'MYMUSE NEW TRACK' ); ?> </a></td>
<?php if(!$all_files){ ?>		
		<td class="button" id="toolbar-new"><a href="#"
			onclick="javascript: submitbutton2('new_allfiles')" class="toolbar"> <span
			class="icon-32-new" title="All Tracks"> </span> <?php echo JText::_( 'MYMUSE ALL TRACKS' ); ?> </a></td>
<?php } ?>	
		<td class="button" id="toolbar-new"><a href="#"
			onclick="javascript: submitbutton2('removefile')" class="toolbar"> <span
			class="icon-32-delete" title="Delete Track"> </span> <?php echo JText::_( 'MYMUSE DELETE TRACKS' ); ?> </a>
		</td>
	</tr>
</table>

<?php } ?>
<form action="index.php" method="post" name="adminForm2">
	<input type="hidden" name="controller" value="product" /> 
	<input type="hidden" name="parentid" value="<?php echo $row->id; ?>" /> 
	
	<input type="hidden" name="option" value="com_mymuse" /> 
	<input type="hidden" name="task" value="" /> 
	<input type="hidden" name="type" value="file" /> 
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="use_parentid" value="" /> 
	<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
	<?php 

	if(count($lists['files']) > 0){ ?>
		<table class="adminlist" cellspacing="1">
			<thead>
				<tr>
					<th width="5">
						<?php echo JText::_( 'Num' ); ?>
					</th>
					<th width="5">
						<input type="checkbox" name="toggle" value="" onclick="checkAll2(<?php echo count( $lists['files'] ); ?>);" />
					</th>
					<th class="title"><?php echo JText::_('MYMUSE TITLE');?>
					</th>
					<th class="title"><?php echo JText::_('MYMUSE FILE NAME');?>
					</th>
					<th class="title"><?php echo JText::_('MYMUSE FILE SIZE');?>
					</th>
					<th class="title"><?php echo JText::_('MYMUSE PREVIEW NAME');?>
					</th>
					<th width="8%" nowrap="nowrap">
					<?php echo MyMuseHelper::sort2('Order', 'c.ordering', @$lists['order_Dir'], '', 'edit' ); ?>

					<?php echo MyMuseHelper::order2($lists['files']); ?>
					</th>
					<th width="1%" class="title">ID
					</th>
				</tr>
			</thead>
			<tfoot>
			</tfoot>
			<tbody>
			<?php
			$k = 0;

			for ($i=0, $n=count( $lists['files'] ); $i < $n; $i++)
			{
				$file = &$lists['files'][$i];
				if($file->file_type == "application/zip"){
					$link 	= 'index.php?option=com_mymuse&controller=product&task=edit_allfiles&cid[]='. $file->id;
				}else{
					$link 	= 'index.php?option=com_mymuse&controller=product&task=editfile&cid[]='. $file->id;
				}
				
				
				$checked 	= JHTML::_('grid.checkedout',  $file, $i );
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo  $i+1; ?>
					</td>
					<td align="center">
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link ?>"><?php echo htmlspecialchars($file->title, ENT_QUOTES); ?></a> 
					<?php  if($file->file_type == "application/zip"){ 
						echo JText::_("MYMUSE ALL TRACKS");
					 } ?>
					</td>
					<td nowrap="nowrap" align="center">
						<?php echo stripslashes($file->file_name); ?>
					</td>
					<td nowrap="nowrap" align="center">
						<?php echo MyMuseHelper::ByteSize($file->file_length); ?>
					</td>
					<td nowrap="nowrap" align="center">
						<?php echo $file->file_preview ?>
					</td>
					<td class="order">
						<span><?php echo MyMuseHelper::orderUpIcon2( $i, true, 'orderup', 'Move Up', $ordering, $lists['limitstart']); ?></span>
						<span><?php echo MyMuseHelper::orderDownIcon2( $i, $n, true, 'orderdown', 'Move Down', $ordering, $lists['limitstart'], count($lists['files'])  ); ?></span>
						<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
	
					<input type="text" name="order[]" size="5" value="<?php echo $file->ordering; ?>" <?php echo $disabled; ?>  class="text_area" style="text-align: center" />
					</td>
					<td>
						<?php echo $file->id; ?>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<?php   } ?>

	<?php echo JHTML::_( 'form.token' ); ?>
	</form>
<?php
		//ITEMS ITEMS ITEMS ITEMS ITEMS ITEMS ITEMS ITEMS ITEMS ITEMS ITEMS ITEMS

		$title = JText::_( 'MYMUSE ITEMS' );
		echo $toppane->startPanel( $title, "items-page" );
		if($lists['isNew']){
			echo JText::_("MYMUSE SAVE THEN ADD ITEMS");
		}else{
		?>
		<script language="javascript" type="text/javascript">
		/**
		* Submit the item form
		*/
		function submitform3(pressbutton){
			if (pressbutton) {
				document.adminForm3.task.value=pressbutton;
			}
			if (typeof document.adminForm3.onsubmit == "function") {
				document.adminForm3.onsubmit();
			}
			document.adminForm3.submit();
		}
		function submitbutton3(pressbutton)
		{
			var form = document.adminForm3;

			if (pressbutton == 'cancel') {
				submitform3( pressbutton );
				return;
			}

			// do field validation
			var text = <?php echo $editor->getContent( 'text' ); ?>
			if (form.title.value == ""){
				alert( "<?php echo JText::_( 'Item must have a title', true ); ?>" );

			} else {

				submitform3( pressbutton );
			}
		}

		// needed for Table Column ordering
		function tableOrdering3( order, dir, task ) {
			var form = document.adminForm3;

			form.filter_order.value 	= order;
			form.filter_order_Dir.value	= dir;
			form.use_parentid.value 	= 1;
			submitform3( task );
		}

		function saveorder3( n,  task ) {
			checkAll_button3( n, task );
		}

		//needed by saveorder3 function
		function checkAll_button3( n, task ) {

		    if (!task ) {
				task = 'saveorder';
			}

			for ( var j = 0; j <= n; j++ ) {
				box = eval( "document.adminForm3.cb" + j );
				if ( box ) {
					if ( box.checked == false ) {
						box.checked = true;
					}
				} else {
					alert("You cannot change the order of items, as an item in the list is `Checked Out`");
					return;
				}
			}
			submitform3(task);
		}
		//items orderup and orderdown
		function listItemTask3( id, task ) {
		    var f = document.adminForm3;
		    cb = eval( 'f.' + id );
		    if (cb) {
		        for (i = 0; true; i++) {
		            cbx = eval('f.cb'+i);
		            if (!cbx) break;
		            cbx.checked = false;
		        } // for
		        cb.checked = true;
		        f.boxchecked.value = 1;
		        submitbutton3(task);
		    }
		    return false;
		}
		/**
		* Toggles the check state of a group of boxes
		*
		* Checkboxes must have an id attribute in the form cb0, cb1...
		* @param The number of box to 'check'
		* @param An alternative field name
		*/
		function checkAll3( n, fldName ) {
		  if (!fldName) {
		     fldName = 'cb';
		  }
			var f = document.adminForm3;
			var c = f.toggle.checked;
			var n2 = 0;
			for (i=0; i < n; i++) {
				cb = eval( 'f.' + fldName + '' + i );
				if (cb) {
					cb.checked = c;
					n2++;
				}
			}
			if (c) {
				document.adminForm3.boxchecked.value = n2;
			} else {
				document.adminForm3.boxchecked.value = 0;
			}
		}
		/**
		* Submit the attribute form
		*/
		function submitform4(pressbutton){
			if (pressbutton) {
				document.adminForm4.task.value=pressbutton;
			}
			if (typeof document.adminForm4.onsubmit == "function") {
				document.adminForm4.onsubmit();
			}
			document.adminForm4.submit();
		}
		function submitbutton4(pressbutton)
		{
			var form = document.adminForm4;

			if (pressbutton == 'cancel') {
				submitform4( pressbutton );
				return;
			}
			submitform4( pressbutton );

		}

		</script>
	<table class="toolbar">
		<tr>

			<td class="button" id="toolbar-publish"><a href="#"
			onclick="javascript: submitbutton4('listattribute')" class="toolbar">
			<span class="icon-32-publish" title="List Attributes"> </span><?php 
			echo JText::_('MYMUSE LIST ATTRIBUTES'); ?></a></td>

			<td class="button" id="toolbar-new"><a href="#"
			onclick="javascript: submitbutton4('addattribute')" class="toolbar">
			<span class="icon-32-new" title="Add Attributes"> </span><?php 
			echo JText::_('MYMUSE ADD ATTRIBUTES'); ?>
			</a></td>
			
			<td class="button" id="toolbar-new"><a href="#"
			onclick="javascript: submitbutton3('additem')" class="toolbar"> <span
			class="icon-32-new" title="New Item"> </span><?php 
			echo JText::_('MYMUSE NEW ITEM'); ?></a></td>

			<td class="button" id="toolbar-delete"><a href="#"
			onclick="javascript: submitbutton3('removeitem')" class="toolbar"> <span
			class="icon-32-delete" title="Delete Item"> </span><?php 
			echo JText::_('MYMUSE DELETE ITEM'); ?></a></td>
			
			
		</tr>
	</table>
	
<?php } ?>	

	<form action="index.php" method="post" name="adminForm3">
	
	<?php 

	if(count($lists['items']) > 0){ ?>
		<table class="adminlist" cellspacing="1">
			<thead>
				<tr>
					<th width="5">
						<?php echo JText::_( 'Num' ); ?>
					</th>
					<th width="5">
						<input type="checkbox" name="toggle" value="" onclick="checkAll3(<?php echo count( $lists['items'] ); ?>);" />
					</th>
					<th class="title"><?php echo JText::_('MYMUSE TITLE'); ?></th>
					<th class="title" width="50"><?php echo JText::_('MYMUSE PRICE'); ?></th>
					<th class="title" width="50"><?php echo JText::_('MYMUSE DISCOUNT'); ?></th>
		
					<?php foreach($lists['attribute_sku'] as $a_sku){ ?>
						<th><?php echo $a_sku->name; ?>
						</th>
					<?php } ?>
					<th width="8%" nowrap="nowrap">
					<?php echo MyMuseHelper::sort3('Order', 'c.ordering', @$lists['order_Dir'], '', 'edit' ); ?>

					<?php echo MyMuseHelper::order3($lists['items']); ?>
					</th>
					<th width="1%" class="title"><?php echo JText::_('MYMUSE ID'); ?>
					</th>
				</tr>
			</thead>
			<tfoot>
			</tfoot>
			<tbody>
			<?php
			$k = 0;

			for ($i=0, $n=count( $lists['items'] ); $i < $n; $i++)
			{
				
				$item = &$lists['items'][$i];
				$item->checked_out = 0;
				$link 	= 'index.php?option=com_mymuse&controller=product&task=edititem&cid[]='. $item->id;
				$checked 	= JHTML::_('grid.checkedout',  $item, $i );
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo  $i; ?>
					</td>
					<td align="center">
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link ?>"><?php echo htmlspecialchars($item->title, ENT_QUOTES); ?></a>
					</td>
					<td align="right"><?php echo $item->product_price; ?></td>
					<td align="right"><?php echo $item->product_discount; ?></td>
					<?php foreach($lists['attribute_sku'] as $a_sku){?>
						<th><?php echo $item->attributes[$a_sku->name]; ?>
						</th>
					<?php } ?>
					<td class="order">
						<span><?php echo MyMuseHelper::orderUpIcon3( $i, true, 'orderup', 'Move Up', $ordering, $lists['limitstart']); ?></span>
						<span><?php echo MyMuseHelper::orderDownIcon3( $i, $n, true, 'orderdown', 'Move Down', $ordering, $lists['limitstart'],count($lists['items']) ); ?></span>
						<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
	
					<input type="text" name="order[]" size="5" value="<?php echo $item->ordering; ?>" <?php echo $disabled; ?>  class="text_area" style="text-align: center" />

					</td>
					<td>
						<?php echo $item->id; ?>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<?php } ?>

	<input type="hidden" name="controller" value="product" /> 
	<input type="hidden" name="parentid" value="<?php echo $row->id; ?>" /> 
	<input type="hidden" name="version" value="<?php echo $row->version; ?>" /> 
	<input type="hidden" name="mask" value="0" /> 
	<input type="hidden" name="option" value="<?php echo $option;?>" /> 
	<input type="hidden" name="task" value="" /> 
	<input type="hidden" name="type" value="item" /> 
	<input type="hidden" name="use_parentid" value="" /> 
	<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_( 'form.token' ); ?>
	</form>
	
	<form action="index.php" method="post" name="adminForm4">
	<input type="hidden" name="controller" value="attributesku" /> 
	<input type="hidden" name="parentid" value="<?php echo $row->id; ?>" /> 
	<input type="hidden" name="option" value="com_mymuse" /> 
	<input type="hidden" name="task" value="" />
	<?php echo JHTML::_( 'form.token' ); ?>
	</form>
	<?php
	//echo $toppane->endPanel();
	echo $toppane->endPane();
	?>

		<?php
		echo JHTML::_('behavior.keepalive');
			
