<?php
/**
 * @version		$Id: product_item_form.php 155 2010-10-12 04:01:01Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
$row = $this->row;
$params = $this->params;
$attribute_skus = $this->attribute_skus;
$attributes = $this->attributes;

JFilterOutput::objectHTMLSafe( $row );
JHTML::_('behavior.tooltip');

?>
		<script language="javascript" type="text/javascript">
		<!--

		function submitbutton(pressbutton)
		{
			var form = document.adminForm;

			if (pressbutton == 'cancelitem') {
				submitform( pressbutton );
				return;
			}

			// do field validation

			if (form.title.value == ""){
				alert( "<?php echo JText::_( 'MYMUSE ITEM MUST HAVE A TITLE', true ); ?>" );
			} else if (form.product_sku.value == ""){
				alert( "<?php echo JText::_( 'MYMUSE ITEM MUST HAVE AN SKU', true ); ?>" );

			} else {

				submitform( pressbutton );
			}
		}
		//-->
		</script>
		<h3><?php echo $row->parent_product->title; ?></h3>
		<form action="index.php" method="post" name="adminForm">

		<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top" width="350">
		<table  class="adminform" border=1>
		<tr>
			<td>
				<label for="title">
					<?php echo JText::_( 'MYMUSE TITLE' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="title" id="title" size="40" maxlength="255" value="<?php echo $row->title; ?>" />
			</td>

		</tr>

		<tr>
			<td>
				<label for="product_sku">
					<?php echo JText::_( 'MYMUSE SKU' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="product_sku" id="product_sku" size="20" maxlength="255" value="<?php echo $row->product_sku; ?>" />
					
			</td>
		</tr>
		<tr>
			<td>
				<label for="product_price">
					<?php echo JText::_( 'MYMUSE PRICE' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="product_price" id="product_price" size="20" maxlength="255" 
				value="<?php if(isset($row->product_price)){ echo $row->product_price; }; ?>" />
					
			</td>
		</tr>
		<tr>
			<td>
				<label for="product_discount">
					<?php echo JText::_( 'MYMUSE DISCOUNT' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="product_discount" id="product_discount" size="20" maxlength="255" value="<?php echo $row->product_discount; ?>" />
					
			</td>
		</tr>
		<tr>
			<td>
				<label>
				<?php echo JText::_( 'MYMUSE ORDERING' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="ordering" id="ordering" size="5" maxlength="255" value="<?php echo $row->ordering; ?>" />
			</td>
		</tr>
		<tr>
			<td>
				<label>
				<?php echo JText::_( 'MYMUSE PRODUCT IN STOCK' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="product_in_stock" id="alias" size="5" maxlength="255" value="<?php echo $row->product_in_stock; ?>" />
			</td>
		</tr>
		<tr>
			<td>
				<label>
				<?php echo JText::_( 'MYMUSE PRODUCT PHYSICAL' ); ?>
				</label>
			</td>
			<td>
				<select name="product_physical">
				<option value="1" <?php if($row->product_physical == "1" || $row->product_physical == ""){ echo "SELECTED"; } ?>><?php echo JText::_('MYMUSE YES'); ?></option>
				<option value="0" <?php if($row->product_physical == "0"){ echo "SELECTED"; } ?>><?php echo JText::_('MYMUSE NO'); ?></option>
				</select>
			</td>
		</tr>
		</table>
			</td>
			<td width="5">&nbsp;</td>
			<td width="350" valign="top">
		<table  class="adminform" border=1>
			<tr>
				<td colspan="2"><label for="title"><?php echo JText::_( 'MYMUSE ATTRIBUTES' ); ?>
				</label></td>
			</tr>
			<?php
			//print_pre($attribute_skus);
			//print_pre($attributes);

			foreach($attribute_skus as $attribute_sku){
					?>
			<tr>
				<td><label> <?php echo $attribute_sku->name; ?> </label></td>
				<td><input class="inputbox" type="text"
					name="attribute_value[<?php echo $attribute_sku->id; ?>]"
					id="attribute_value.<?php echo $attribute_sku->id; ?>" size="30"
					maxlength="255" value="<?php echo $row->attributes[$attribute_sku->name]; ?>" /> 
					<input
					type="hidden"
					name="attribute_name[<?php echo $attribute_sku->id; ?>]"
					value="<?php echo $attribute_sku->name ?>" /></td>
			</tr>
			<?php } ?>
		</table>
		</td>
		</tr>
		</table>
		
		<input type="hidden" name="product_downloadable" value="<?php echo $row->product_downloadable ?>">
		<input type="hidden" name="parentid" value="<?php echo $row->parentid ?>">
		<input type="hidden" name="state" value="<?php echo $row->state ?>">
		<input type="hidden" name="sectionid" value="<?php echo $row->sectionid; ?>">
		<input type="hidden" name="controller" value="product" />
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="cid[]" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="version" value="<?php echo $row->version; ?>" />
		<input type="hidden" name="mask" value="0" />
		<input type="hidden" name="type" value="item" />
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="task" value="" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>