<?php
/**
 * @version		$Id: view.html.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view' );

class myMuseViewReports extends Jview
{
	function display($tpl = null){
		global $mainframe,$params, $option;
		
		// Get data from the model
        $items  =& $this->get( 'Data');
        $task = JRequest::getVar('task', null, 'default', 'cmd');

		switch ($task)
		{
			
			default:
			{
				JToolBarHelper::title( JText::_( 'MYMUSE MYMUSE REPORTS' ), 'sections.png' );

				$artistid		= $mainframe->getUserStateFromRequest( $option.'artistid','artistid','0','int' );
  		
				$orders_total 	= count($items);
				$orders_summary =& $this->get( 'OrderSummary');
				$items_summary  =& $this->get( 'ItemsSummary');
				$lists  		=& $this->get( 'Lists');
				
				$params = JRequest::getVar( 'params', 'params','', 'array' );
    			$lists['filter_date_start'] = isset($params['filter_date_start'])?$params['filter_date_start'] : '' ;
				$lists['filter_date_end']   = isset($params['filter_date_end'])? $params['filter_date_end'] : '';
				$lists['filter_state'] 	= $mainframe->getUserStateFromRequest( $option.'filter_state', 'filter_state', '', 'word' );
				
				$this->assignRef( 'items', $items );
				$this->assignRef( 'lists', $lists );
				$this->assignRef( 'orders_total', $orders_total );
				$this->assignRef( 'orders_summary', $orders_summary );
				$this->assignRef( 'items_summary', $items_summary );
				$this->assignRef( 'artistid', $artistid );
				
				$form = new JParameter('', JPATH_COMPONENT.DS.'models'.DS.'order.xml');
				$form->set('filter_date_start', JHTML::_('date', $lists['filter_date_start'], '%Y-%m-%d'));
				$form->set('filter_date_end', JHTML::_('date', $lists['filter_date_end'], '%Y-%m-%d'));
				$this->assignRef('form', $form);
	
			} break;
		}
        
        JToolBarHelper::help( 'reports',true );

		parent::display($tpl);

	}

}
?>