<?php
/**
 * @version		$Id: default.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
$rows =& $this->items;
$lists =& $this->lists;
$user =& $this->user;
// Your custom code here

		//Ordering allowed ?
		$ordering = ($lists['order'] == 'c.ordering');

		JHTML::_('behavior.tooltip');
		?>
		<form action="index.php" method="post" name="adminForm">

		<table>
		<tr>
			<td align="left" >
				<?php echo JText::_( 'MYMUSE FILTER' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo $lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'MYMUSE GO' ); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'MYMUSE RESET' ); ?></button>
			</td>
			<td nowrap="nowrap">
				
			</td>
		</tr>
		</table>

		<table class="adminlist" width="500">
		<thead>
			<tr>
				<th width="10">
					<?php echo JText::_( 'MYMUSE NUM' ); ?>
				</th>
				<th width="10">
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows );?>);" />
				</th>
				<th class="title">
					<?php echo JHTML::_('grid.sort',   'MYMUSE NAME', 'c.ship_carrier_name', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
				<th class="title">
					<?php echo JHTML::_('grid.sort',   'MYMUSE METHOD', 'c.ship_method_name', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
				<th class="title">
					<?php echo JHTML::_('grid.sort',   'MYMUSE HANDLING CHARGE', 'c.ship_handling_charge', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
				<th class="title">
					<?php echo JHTML::_('grid.sort',   'MYMUSE HANDLING ADDITIONAL', 'c.ship_handling_additional', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
				<th class="title">
					<?php echo JHTML::_('grid.sort',   'MYMUSE PUBLISHED', 'c.state', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
				<th width="8%" nowrap="nowrap">
					<?php echo JHTML::_('grid.sort',   'MYMUSE ORDER', 'c.ordering', @$lists['order_Dir'], @$lists['order'] ); ?>
					<?php echo JHTML::_('grid.order',  $rows ); ?>
				</th>

				<th width="1%" nowrap="nowrap">
					<?php echo JHTML::_('grid.sort',   'MYMUSE ID', 'c.id', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="13">
					<?php echo  $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
		$k = 0;
		for ( $i=0, $n=count( $rows ); $i < $n; $i++ ) {
			$row = &$rows[$i];
			if (  $row->state == 1 ) {
				$img = 'publish_y.png';
				$alt = JText::_( 'MYMUSE PUBLISHED' );
			}else{
				$img = 'publish_x.png';
				$alt = JText::_( 'MYMUSE UNPUBLISHED' );	
			}
					
					
			$link 		= 'index.php?option=com_mymuse&controller=shipping&task=edit&cid[]='. $row->id;
			$row->checked_out = 0;
			$checked 	= JHTML::_('grid.checkedout',   $row, $i );

			?>
			<tr class="<?php echo "row$k"; ?>">
				<td align="center">
					<?php echo $this->pagination->getRowOffset( $i ); ?>
				</td>
				<td>
					<?php echo $checked; ?>
				</td>
				<td>
					<a href="<?php echo $link; ?>"><?php echo $row->ship_carrier_name; ?></a>
				</td>
				<td align="center">
					<?php echo $row->ship_method_name; ?>
				</td>
				<td align="center">
					<?php echo $row->ship_handling_charge; ?>
				</td>
				<td align="center">
					<?php echo $row->ship_handling_additional; ?>
				</td>
				<td align="center">
							<span class="editlinktip hasTip" title="<?php echo JText::_( 'MYMUSE PUBLISH INFORMATION' );?>::<?php echo $alt; ?>"><a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $row->state ? 'unpublish' : 'publish' ?>')">
								<img src="images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" /></a></span>
						</td>
				<td class="order">
					<span><?php echo $this->pagination->orderUpIcon( $i, true, 'orderup', 'Move Up', $ordering ); ?></span>
					<span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $ordering ); ?></span>
					<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
					<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
				</td>

				<td align="center">
					<?php echo $row->id; ?>
				</td>
				<?php
				$k = 1 - $k;
				?>
			</tr>
			<?php
		}
		?>
		</tbody>
		</table>

		<input type="hidden" name="option" value="com_mymuse" />
		<input type="hidden" name="controller" value="shipping" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>