<?php
/**
 * @version		$Id: form.php 132 2010-10-07 02:18:41Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

$row = &$this->row;
$lists = $this->lists;
$countrystates = $lists['countrystates'];

$editor =& JFactory::getEditor();

if ($row->image == '') {
	$row->image = 'blank.png';
}

JFilterOutput::objectHTMLSafe( $row, ENT_QUOTES, 'description' );
JHTML::_('behavior.tooltip');
?>

<script language="javascript" type="text/javascript">

		<!--
		var countrystates = new Array;
		<?php
		$i = 0;
		foreach ($countrystates as $k=>$items) {
			foreach ($items as $v) {
				echo "countrystates[".$i++."] = new Array( '$k','".addslashes( $v->id )."','".addslashes( $v->title )."' );\n\t\t";
			}
		}
		?>
		
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			if ( form.title.value == '' ){
				alert("<?php echo JText::_('MYMUSE STORE MUST HAVE A TITLE'); ?>");
			} else {
				<?php
				echo $editor->save( 'description' ) ; ?>
				
				submitform(pressbutton);
			}
		}
		-->
		</script>

<form action="index.php" method="post" name="adminForm" id="adminForm" class="form-validate">

<table cellspacing="0" cellpadding="0" border="0" width="100%">
	<tr>
		<td valign="top" width="380">
		<fieldset class="adminform"><legend><?php echo JText::_('MYMUSE STORE'); ?></legend>

		<table class="admintable">
			<tr>
				<td class="key"><label for="title"> <?php echo JText::_( 'MYMUSE NAME' ); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text" name="title"
					id="title" value="<?php echo $row->title; ?>" size="50"
					maxlength="50" title="<?php echo JText::_( 'MYMUSE NAME OF YOUR STORE' ); ?>" />
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="key"><label for="alias"> <?php echo JText::_( 'MYMUSE ALIAS' ); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text" name="alias"
					id="alias" value="<?php echo $row->alias; ?>" size="50"
					maxlength="255" title="<?php echo JText::_( 'MYMUSE ALIAS FOR MENU' ); ?>" />
				</td>
			</tr>
			<tr>


				<td nowrap="nowrap" valign="top" class="key" valign="middle"><?php echo JText::_( 'MYMUSE FLASH PLAYER' ); ?>:</td>
				<td valign="top"><select STYLE="width: 230px" id="player" title="<?php echo JText::_( 'MYMUSE CHOOSE YOUR FLASH PLAYER' ); ?>"
					name="player" onchange="submitbutton('apply');">

					<?php

					foreach($this->mp3players->allPlayers as $player){
						echo '<option value="'.$player.'" style="padding-left:3px"'.($row->player==$player ? ' selected' : '').'>'.$player.'</option>'."\n";
							
					}
					?>
				</select> &nbsp; <br /><?php 
				
				echo '<!-- Begin Flash Player -->'.mp3players::getplayer($row->player, "administrator/components/com_mymuse/assets/sister_preview.mp3").'<!-- End Flash Player -->';
				?></td>
			</tr>
			
			<tr>
				<td nowrap="nowrap" class="key"><label for="my_section_artists"> <?php echo JText::_( 'MYMUSE SECTION ID FOR ARTISTS' ); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text" name="my_section_artists"
					id="my_section_artists" value="<?php echo $row->my_section_artists; ?>" size="5"
					maxlength="255" title="<?php echo JText::_( 'MYMUSE CREATED ON INSTALL' ); ?>" />
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="key"><label for="my_section_catalog"> <?php echo JText::_( 'MYMUSE SECTION ID FOR CATALOG' ); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text" name="my_section_catalog"
					id="my_section_catalog" value="<?php echo $row->my_section_catalog; ?>" size="5"
					maxlength="255" title="<?php echo JText::_( 'MYMUSE CREATED ON INSTALL' ); ?>" />
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap" class="key"><label for="my_reviews_catid"> <?php echo JText::_( 'MYMUSE CATEGORY ID FOR REVIEWS' ); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text" name="my_reviews_catid"
					id="my_reviews_catid" value="<?php echo $row->my_reviews_catid; ?>" size="5"
					maxlength="255" title="<?php echo JText::_( 'MYMUSE CREATED ON INSTALL' ); ?>" />
				</td>
			</tr>
		</table>
		</fieldset>

		<fieldset class="adminform"><legend><?php echo JText::_( 'MYMUSE DESCRIPTION' ); ?></legend>

		<table class="admintable">
			<tr>
				<td valign="top" colspan="3"><?php
				// parameters : areaname, content, width, height, cols, rows
				echo $editor->display( 'description',  $row->description, '550', '500', '60', '20', array('pagebreak', 'readmore') ) ;
				?></td>
			</tr>
		</table>
		</fieldset>
		</td>
		<td valign="top" width="380" style="padding: 7px 0 0 5px">
		<fieldset class="adminform"><legend><?php echo JText::_('MYMUSE CONTACT'); ?></legend>

		<table class="admintable">
			<tr>
				<td class="key"><label for="contact_first_name"> <?php echo JText::_('MYMUSE FIRST NAME'); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text"
					name="contact_first_name" id="contact_first_name"
					value="<?php echo $row->contact_first_name; ?>" size="40"
					maxlength="50" title="<?php echo JText::_( 'MYMUSE CONTACT FIRST NAME' ); ?>" />
				</td>
			</tr>
			<tr>
				<td class="key"><label for="contact_last_name"> <?php echo JText::_('MYMUSE LAST NAME'); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text"
					name="contact_last_name" id="contact_last_name"
					value="<?php echo $row->contact_last_name; ?>" size="40"
					maxlength="50" title="<?php echo JText::_( 'MYMUSE CONTACT LAST NAME' ); ?>" />
				</td>
			</tr>
			<tr>
				<td class="key"><label for="contact_title"> <?php echo JText::_('MYMUSE TITLE'); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text"
					name="contact_title" id="contact_title"
					value="<?php echo $row->contact_title; ?>" size="40" maxlength="50"
					title="<?php echo JText::_( "MYMUSE CONTACT TITLE" ); ?>" /></td>
			</tr>
			<tr>
				<td class="key"><label for="contact_email"> <?php echo JText::_('MYMUSE EMAIL'); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text"
					name="contact_email" id="contact_email"
					value="<?php echo $row->contact_email; ?>" size="40" maxlength="50"
					title="<?php echo JText::_( "MYMUSE CONTACT EMAIL" ); ?>" /></td>
			</tr>

			<tr>
				<td class="key"><label for="phone"> <?php echo JText::_('MYMUSE PHONE'); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text" name="phone"
					id="phone" value="<?php echo $row->phone; ?>" size="40"
					maxlength="50" title="<?php echo JText::_( "MYMUSE CONTACT PHONE" ); ?>" />
				</td>
			</tr>
			<tr>
				<td class="key"><label for="fax"> <?php echo JText::_('MYMUSE FAX'); ?>: </label>
				</td>
				<td colspan="2"><input class="text_area" type="text" name="fax"
					id="fax" value="<?php echo $row->fax; ?>" size="40" maxlength="50"
					title="<?php echo JText::_( "MYMUSE CONTACT FAX" ); ?>" /></td>
			</tr>
			<tr>
				<td class="key"><label for="address_1"> <?php echo JText::_('MYMUSE ADDRESS 1'); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text"
					name="address_1" id="address_1"
					value="<?php echo $row->address_1; ?>" size="40" maxlength="50"
					title="<?php echo JText::_( "MYMUSE CONTACT ADDRESS 1" ); ?>" /></td>
			</tr>
			<tr>
				<td class="key"><label for="address_2"> <?php echo JText::_('MYMUSE ADDRESS 2'); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text"
					name="address_2" id="address_2"
					value="<?php echo $row->address_2; ?>" size="40" maxlength="50"
					title="<?php echo JText::_( "MYMUSE CONTACT ADDRESS 2" ); ?>" /></td>
			</tr>
			<tr>
				<td class="key"><label for="city"> <?php echo JText::_('MYMUSE CITY'); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text" name="city"
					id="city" value="<?php echo $row->city; ?>" size="40"
					maxlength="50" title="<?php echo JText::_( "MYMUSE CONTACT CITY" ); ?>" />
				</td>
			</tr>

			<tr>
				<td class="key"><label for="country"> <?php echo JText::_('MYMUSE COUNTRY'); ?>:
				</label></td>
				<td colspan="2"><?php echo $this->lists['country']; ?></td>
			</tr>
			<tr>
				<td class="key"><label for="state"> <?php echo JText::_('MYMUSE STATE'); ?>:
				</label></td>
				<td colspan="2"><?php echo $this->lists['state']; ?></td>
			</tr>
			<tr>
				<td class="key"><label for="zip"> <?php echo JText::_('MYMUSE ZIP/POST CODE'); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text" name="zip"
					id="zip" value="<?php echo $row->zip; ?>" size="40" maxlength="50"
					title="<?php echo JText::_( "MYMUSE ZIP/POST CODE" ); ?>" /></td>
			</tr>
			<tr>
				<td class="key"><label for="store_thumb_image"> <?php echo JText::_('MYMUSE SMALL LOGO'); ?>:
				</label></td>
				<td colspan="2"><input class="text_area" type="text"
					name="store_thumb_image" id="store_thumb_image"
					value="<?php echo $row->store_thumb_image; ?>" size="40"
					maxlength="50" title="<?php echo JText::_( "Image that will show in emails" ); ?>" />
				</td>
			</tr>
			<tr>
				<td class="key"><label for="store_currency"> <?php echo JText::_('MYMUSE CURRENCY'); ?>:
				</label></td>
				<td colspan="2"><?php echo $this->lists['currency']; ?></td>
			</tr>
		</table>
		</fieldset>

		<fieldset class="adminform"><legend><?php echo JText::_('MYMUSE STORE PARAMETERS');; ?></legend>
		<table class="admintable">
			<tr>
				<td>
				<?php
					echo $this->pane->startPane("menu-pane");
					echo $this->pane->startPanel(JText :: _('MYMUSE PARAMETERS BASIC'), "param-page");
					echo $this->storeparams->render('storeparams');
					if(count($this->params->getParams('params'))) :
						echo $this->params->render('params');
					endif;

					if(!count($this->params->getNumParams('params')) && !count($this->urlparams->getNumParams('urlparams'))) :
						echo "<div style=\"text-align: center; padding: 5px; \">".JText::_('There are no parameters for this item')."</div>";
					endif;
					echo $this->pane->endPanel();
					?>
				</td>
			</tr>
		</table>
		</fieldset>
		</td>
	</tr>
</table>

<input type="hidden" name="controller" value="store" /> 
<input type="hidden" name="cid[]" value="<?php echo $row->id; ?>" /> 
<input type="hidden" name="task" value="" /> 
<input type="hidden" name="oldtitle" value="<?php echo $row->title ; ?>" /> 
<input type="hidden" name="option" value="com_mymuse" /> 
<?php echo JHTML::_( 'form.token' ); ?>
</form>
