<?php
/**
 * @version		$Id: view.html.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view' );
jimport('joomla.html.pane');

class MyMuseViewStore extends Jview
{
	function display($tpl = null){
		global $mainframe;
		
		// Get data from the model
        $items  =& $this->get( 'Data');
        $list = is_array($items)? 1 : 0 ;

		if($list)
		{
			JToolBarHelper::title( JText::_( 'MYMUSE STORE' ), 'sections.png' );
        	JToolBarHelper::deleteList();
        	JToolBarHelper::editListX();
        	JToolBarHelper::addNewX();
        	$this->assignRef( 'items', $items );

		}else{
			$isNew  = ($items->id < 1);
			if($isNew)
			{
				JToolBarHelper::title(   JText::_( 'MYMUSE' ).': <small><small>[ ' . JText::_( 'MYMUSE NEW STORE' ).' ]</small></small>' );
    			JToolBarHelper::save();
    			JToolBarHelper::apply();
        		JToolBarHelper::cancel();
			}else{
				JToolBarHelper::title(   JText::_( 'MYMUSE' ).': <small><small>[ ' . JText::_( 'MYMSUE EDIT STORE' ).' ]</small></small>' );
    			JToolBarHelper::save();
    			JToolBarHelper::apply();
        		JToolBarHelper::cancel( 'cancel', 'Close' );

			}
			$storeparams		= $this->get( 'storeParams' );
			$this->assignRef( 'storeparams', $storeparams );
			$this->assignRef( 'row', $items );
			$lists =& $this->get('Lists'); 
			$this->assignRef( 'lists', $lists );
			
			include_once(JPATH_ROOT.'/components/com_mymuse/assets/players/mp3players.php');
			$mp3players = new mp3players;
			$this->assignRef( 'mp3players', $mp3players );
			
			// Add slider pane
        	// TODO: allowAllClose should default true in J!1.6, so remove the array when it does.
			$pane = &JPane::getInstance('sliders', array('allowAllClose' => true));
			$this->assignRef('pane', $pane);
		}

        
        JToolBarHelper::help( 'store',true );
        
        $this->params = &JComponentHelper::getParams( 'com_mymuse' );

		parent::display($tpl);

	}

}
?>