<?php
/**
 * @version		$Id: mp3players.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

defined('_JEXEC') or die('Restricted access');

class mp3players {
	
	/**
	 * allPlayers: array of players
	 *
	 * @var array
	 */
	var $allPlayers = array(
		'dewplayer.swf',
		'dewplayer-vol.swf',
		'dewplayer-mini.swf',
		'player_mp3.swf',
		'player_mp3_mini.swf',
	);
	
	/**
	 * getplayer return string with flash html object
	 * 
	 * @param string $player
	 * @param string $mp3
	 * @return string
	 */

    function getplayer($player, $mp3) {

		$site_url = preg_replace("#/administrator/#","",JURI::base());
		$player_path = $site_url.DS."components".DS."com_mymuse".DS."assets".DS."players".DS.$player;
		$mp3 = $site_url.DS.$mp3;

	    switch ($player) {
		case 'dewplayer.swf':

			$text = '<object type="application/x-shockwave-flash" 
			data="'. $player_path .'" 
			width="200" height="20">
			<param name="movie" value="'. $player_path .'" />
			<param name="flashvars" value="mp3='. $mp3 .'" />
			<param name="wmode" value="transparent" />
			</object>
			';
			return $text;
			break;
			
		case 'dewplayer-vol.swf':

			$text = '<object type="application/x-shockwave-flash" 
			data="'. $player_path .'" 
			width="240" height="20" >
			<param name="movie" value="'. $player_path .'" />
			<param name="flashvars" value="mp3='. $mp3 .'" />
			<param name="wmode" value="transparent" />
			</object>
			';
			return $text;
			break;

		case 'dewplayer-mini.swf':

			$text = '<object type="application/x-shockwave-flash" 
			data="'. $player_path .'" 
			width="240" height="20" >
			<param name="movie" value="'. $player_path .'" />
			<param name="flashvars" value="mp3='. $mp3 .'" />
			<param name="wmode" value="transparent" />
			</object>
			';
			return $text;
			break;
			
		case 'player_mp3.swf':

			$text = '<object type="application/x-shockwave-flash" 
			data="'. $player_path .'" 
			width="200" height="20" >
			<param name="movie" value="'. $player_path .'" />
			<param name="flashvars" value="mp3='. $mp3 .'" />
			<param name="bgcolor" value="#ffffff" />
			</object>
			';
			return $text;
			break;

		case 'player_mp3_mini.swf':

			$text = '<object type="application/x-shockwave-flash" 
			data="'. $player_path .'" 
			width="200" height="20" >
			<param name="movie" value="'. $player_path .'" />
			<param name="flashvars" value="mp3='. $mp3 .'" />
			<param name="bgcolor" value="#ffffff" />
			</object>
			';
			return $text;
			break;

		case 'xspf_player_slim.swf':

			$text = '<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" 
			codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0" 
			width="200" height="15" id="xspf_player" align="middle" >
			<param name="movie" value="'. $player_path .'" />
			<param name="allowScriptAccess" value="sameDomain" />
			<param name="quality" value="high" />
			
			<param name="songurl" value="'. $mp3 .'" />
			<param name="songtitle" value="test" />
			<param name="bgcolor" value="#ffffff" />
			</object>
			';
			return $text;
			break;


	}
}
	
}
?>