<?php
/**
 * @version		$Id: checkout.php 163 2010-10-12 18:59:55Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */
// no direct access
defined('_JEXEC') or die('Restricted access');

require_once( JPATH_SITE.DS.'administrator'.DS.'components'.DS.'com_mymuse'.DS.'tables'.DS.'order.php' );

class MyMuseCheckout
{
	
	/**
	 * error string
	 *
	 * @var string
	 */
	var $error = '';
	
	
	function __construct()
	{
		global $mainframe, $params;

	}

    /**
     * add
     * Assemble all order information and add to database
     *
     * @param object $MyMuse
     * @param object $MyMuseShopper 
     * @param array $cart
     * @return bool
     */

    function save( ) {
     	global $mainframe,$params;

     	$db 			=& JFactory::getDBO();
     	$MyMuseShopper  =&MyMuse::getObject('shopper','models');
     	$MyMuseStore  	=&MyMuse::getObject('store','models');
     	$MyMuseCart  	=&MyMuse::getObject('cart','helpers');
     	
		$shopper 		= $MyMuseShopper->getShopper();
		$store 			= $MyMuseStore->getStore();
		$cart 			= $MyMuseCart->cart;
		$cart_order 	= $MyMuseCart->buildOrder();
		$d 				= JRequest::get('post');

     	// TODO stop repeat orders on reload

     	$coupon_id 			= 0;
     	$coupon_discount 	= 0;
     	$ship_method_id 	= 0;
     	$order_shipping     = 0;
     	$order_total_tax    = 0;
     	$order_status 		= "P";
     	if($params->get('my_shop_test')){
     		$order_status = "C";
     	}
     	$downloadable 		= 0;
     	

     	// LOOP OVER CART ITEMS FOR COUPONS TO PROCESS

     	for($i = 0; $i < $cart["idx"]; $i++) {
     		if(@$cart[$i]["coupon_id"]){
     			$coupon_id = $cart[$i]["coupon_id"];
     			$d["coupon_id"] = $cart[$i]["coupon_id"];
     			continue;
     		}
     		if(!$cart[$i]["product_id"]){
     			continue;
     		}
     		$cart[$i]['product'] = $MyMuseCart->getProduct($cart[$i]["product_id"]);
     		
     		// SEE IF IT IS AN ALL_FILES, ADD ALL FILES TO CART
    		
     		if($cart[$i]['product']->product_allfiles){
				$query = "SELECT id from #__mymuse_product WHERE parentid='".$cart[$i]['product']->parentid."'
				AND product_downloadable='1' AND product_allfiles !='1' ORDER BY ordering ";
				$db->setQuery($query);
				$rows = $db->loadObjectList();
				foreach($rows as $row){
					if($cart[$i]["product_id"] == $row->id){
						continue;
					}
					$cart[$cart["idx"]]['product_id'] = $row->id;
					$cart[$cart["idx"]]['quantity'] = 1;
					$cart[$cart["idx"]]['catid'] = '';
					$cart[$cart["idx"]]['product']= $MyMuseCart->getProduct($cart[$cart["idx"]]["product_id"]);
					$cart[$cart["idx"]]['product']->price['product_price'] = 0.00;
					$cart["idx"]++;
					$i++;
				}
     		}
     	}

     	if($coupon_id != ""){
     		$db->setQuery("SELECT * from coupon where coupon_id='".$coupon_id."'");
     		$coupon = $db->loadObject();
     	}else{
     		$coupon = new StdClass();
     		$coupon->coupon_name = '';
     		$coupon->coupon_discount = 0;
     	}

     	// Loop over cart if 'my_check_stock' is on
     	if ($params->get('my_check_stock')) {
     		for($i = 0; $i < $cart["idx"]; $i++) {
     			if(isset($cart[$i]["coupon_id"]) && $cart[$i]["coupon_id"]){ continue; }
     			if(!isset($cart[$i]["product_physical"]) || !$cart[$i]["product_physical"]){ continue; }
     			$q = "SELECT product_in_stock ";
     			$q .= "FROM product where product_id=";
     			$q .= $cart[$i]['product_id'];
     			$db->setQuery($q);
     			$product_in_stock = $db->loadResult();
     			if ($cart[$i]['quantity'] > $product_in_stock) {
     				$this->error = JText::_('MYMUSE THIS ORDER EXEEDS OUR STOCK FOR')." ". $cart[$i]['product']->title;
     				$this->error .= JText::_('MYMUSE CURRENT IN STOCK')." ".$product_in_stock;
     				return False;
     			}
     		}
     	}

		// TODO: make more payment options
     	if($params->get('my_paypal_enable')){
     		$d["payment_method_id"] = 1;
     	}
   	 
       	if ($params->get('my_shipping_enable') && trim(@$d["ship_method_id"]) == "0") {
   			$this->error = JText::_('MYMUSE PLEASE SELECT SHIPPING METHOD');
   			return False;
   		}
    
   		 /**
   		  * // TODO: make more shopping options
   		if (!$params->get('my_shop_test') && !$params->get('my_paypal_enable') && !isset($d["payment_method_id"])){
   			if (!@$d["payment_method_id"]) {
   				$this->error = JText::_('MYMUSE PLEASE SELECT A PAYMENT METHOD');
   				return False;
   			}
   		}
       
         if (SHIPPING_ENABLE && $d['ship_method_id']) {
         $order_ship_array = $MyMuseShipping->calc_order_shipping($cart,$shopper);
         //print_r($order_shipping);
         $order_shipping = $order_ship_array['response'];
         $order_taxable  = $order_taxable + $order_shipping;
         }
         */
         


        if ($params->get('my_paypal_enable')) {
        	$d["order_payment_log"] = "Payment information captured at PAYPAL.<BR>";
        }else{
        	$d["order_payment_log"] = "Payment information captured for later processing.<BR>";
        }
        
        if(!@$d["ship_to_info_id"]){
         $d["ship_to_info_id"] = $shopper->id;
        }

        // TODO: deal with no shipping, notes
        

    	require_once( MYMUSE_ADMIN_PATH.DS.'tables'.DS.'order.php' );
        $order = new TableOrder( $db );
        $config =& JFactory::getConfig();
		$tzoffset = $config->getValue('config.offset');
        $date =& JFactory::getDate('', $tzoffset);
        
        $order->user_id 			= $shopper->user_id;
        $order->order_number 		= md5(time().mt_rand());
        $order->store_id 			= $store->id;
        $order->shopper_id 			= $shopper->id;
        $order->order_subtotal 		= $cart_order->order_subtotal;
        $order->order_shipping 		= $cart_order->order_shipping;
        $order->order_currency 		= $MyMuseStore->_store->currency;
        $order->order_status 		= $order_status;
        $order->coupon_name 		= $coupon->coupon_name;
        $order->coupon_discount 	= $coupon->coupon_discount;
        $order->created 			= $date->toMySQL();
        $order->modified 			= $date->toMySQL();
        $order->ship_method_id 		= @$cart['shipmethodid'];
        $order->discount 			= 0.00;
        $order->notes 				= @$cart['notes'];
        $order->reservation_fee 	= $cart_order->reservation_fee;
        $order->non_res_total		= $cart_order->non_res_total;
        $order->pay_now				= $cart_order->must_pay_now;
        $order->extra 				= @$cart['extra'];
        
        //save the order number in the session
		$session = &JFactory::getSession();
		$session->set("order_number",$order->order_number);
        
		$order_tax = array();
        $order_tax = $this->calc_order_tax($cart_order->order_subtotal);
        while(list($name,$amount) = each($order_tax)){
        	$order->$name = $amount;	
        }

		$total_tax = $cart_order->tax_total;


    	// Store the order to the database
		if (!$order->store()) {
			JError::raiseError( 500, $db->stderr() );
			return false;
		}

		

		/** Insert the Order payment info
		 // Payment number is encrypted using mySQL ENCODE function.

		 $q = "INSERT INTO order_payment ";
		 $q .= "(order_id, payment_method_id, order_payment_number, ";
		 $q .= "order_payment_expire, order_payment_log, order_payment_name) ";
		 $q .= "VALUES (";
		 $q .= $order_id . ", ";
		 $q .= "'" . @$d["payment_method_id"] . "', ";
		 $q .= "ENCODE(\"$payment_number\",\"" . ENCODE_KEY . "\"), ";
		 $q .= "'" . @$d["order_payment_expire"] . "',";
		 $q .= "'" . @$d["order_payment_log"] . "',";
		 $q .= "'" . @$d["order_payment_name"] . "'";
		 $q .= ")";
		 $db->query($q);
		 */

		
         // LOOP OVER CART ITEMS
		for($i = 0; $i < $cart["idx"]; $i++) {
			if(@$cart[$i]["coupon_id"]){ continue;}
			if(!@$cart[$i]["product_id"]){ continue;}

			$query = "SELECT * FROM #__mymuse_product WHERE id='".$cart[$i]["product_id"]."'";
			$db->setQuery($query);
			$prod = $db->loadObject();
			$parentid = $prod->parentid;
			
			
			$order->items[$i] = new JTableMyMuseOrderItem( $db );
			$order->idx++;
			$order->items[$i]->order_id = $order->id;
			$order->items[$i]->product_id = $cart[$i]["product_id"];
			$order->items[$i]->product_quantity = $cart[$i]["quantity"];
			$order->items[$i]->product_item_price = $cart[$i]['product']->price['product_price'];
			$order->items[$i]->product_sku = $cart[$i]['product']->product_sku;
			$order->items[$i]->product_name = $cart[$i]['product']->title;
			$order->items[$i]->created = $date->toMySQL();
			$order->items[$i]->modified = $date->toMySQL();
			
			if( $params->get('my_downloads_enable') == "1" ) {
				$order->items[$i]->file_name = stripslashes($cart[$i]['product']->file_name);
				$enddate = time() + $params->get('my_download_expire');
				$order->items[$i]->end_date = $enddate;
				$order->items[$i]->downloads =0;
				if($cart[$i]['product']->file_name != ''){
					$downloadable++;
				}

			}
			// Store the item to the database
			if (!$order->items[$i]->store()) {
				JError::raiseError( 500, $db->stderr() );
				return false;
			}
			// more fields for printing
			$order->items[$i]->product_sku = $prod->product_sku;
			$order->items[$i]->title = $cart[$i]['product']->title;
			$order->items[$i]->file_length = MyMuseHelper::ByteSize($cart[$i]['product']->file_length);
			$order->items[$i]->product_item_subtotal = sprintf("%.2f", $order->items[$i]->product_item_price * $order->items[$i]->product_quantity);
        	
			// Build URLs
			$query = "SELECT * FROM #__mymuse_categories WHERE id='".$cart[$i]['catid']."'";
			$db->setQuery($query);
			$cat = $db->loadObject();
			$section = $cat->section;
			$order->items[$i]->category_name = $cat->title;
			
			if ($parentid){
				$pid = $parentid;
			}else{
				$pid = $order->items[$i]->product_id;
			}
			
			$order->items[$i]->url = myMuseHelperRoute::getProductRoute($pid, $cart[$i]['catid']);
			$order->items[$i]->cat_url = myMuseHelperRoute::getCategoryRoute($cart[$i]['catid'], $section, $params);
    	} // end of item insertion
        $order_total 		= $order->order_subtotal - ($order->coupon_discount*$order->order_subtotal/100) + $order->order_shipping + $total_tax;
        $order->order_total = sprintf("%.2f", $order_total);
     
    	// if the total is zero, change the order status to confirmed
        if($order->order_total == 0.00){
        	$order->order_status = "C";
        	$query = "UPDATE #__mymuse_order set order_status='C' WHERE id='".$order->id."'";
        	$db->setQuery($query);
        	if (!$db->query()) {
				JError::raiseError( 500, $db->stderr() );
				return false;
			}
        }
        
        
    	//add more to the order object for printing
		$order->total_res 		= $cart_order->reservation_fee;
		$order->idx 			= $cart["idx"];
		$order->do_html 		= 0;
		$order->show_checkout 	= 0;
    	$order->tax_array 		= $order_tax;
		$order->status_name 	= MyMuseHelper::getStatusName($order->order_status );
        $order->tax_total 		= $total_tax;
 		$order->downloadable  	= $downloadable;
 		 	
        
    	// update stock
    	if ($params->get('my_use_stock')) {
    		for($i = 0; $i < $cart["idx"]; $i++) {
    			if(@$cart[$i]["coupon_id"]){ continue; }
    			
    			if($cart[$i]['product']->product_physical){
					$cart[$i]['product']->product_in_stock = $cart[$i]['product']->product_in_stock -$cart[$i]['quantity'];
					if (!$cart[$i]['product']->store()) {
						JError::raiseError( 500, $db->stderr() );
						return false;
					}
    			}
    			// SHOULD EMAIL STORE IF STOCK LESS THAN ZERO
    		}

     	}
     	// All done with inserting ORDER!!
     	// attach the current order to the shopper
     	$MyMuseShopper->order = $order;
     	
     	// SEND EMAIL CONFIRMATION MESSAGES

     	// Get user's email
     	$user_email = $shopper->email;
		$currency = MyMuseHelper::getCurrency($MyMuseStore->_store->currency);
		$order->colspan=3;
		$order->colspan2 = 1;
		
     	ob_start();
     	include_once( JPATH_COMPONENT.DS.'templates'.DS.'thank_you.php' );
     	$contents = ob_get_contents();
		ob_end_clean();
		
		$download_header = '';

		include_once( JPATH_COMPONENT.DS.'templates'.DS.'mail_html_header.php' );
        if($downloadable && $order->order_status == "C"){
        	$link = JURI::base()."index.php?option=com_mymuse&task=downloads&id=".$order->order_number;
			$link_message .= JText::_("MYMUSE YOUR DOWNLOAD KEY")." = ".$order->order_number." <br />";
			$link_message .= JText::sprintf('MYMUSE DOWNLOAD_LINK', $link);
			$link_message .= $link;
			$contents .= $link_message;
            include_once( JPATH_COMPONENT.DS.'templates'.DS.'mail_downloads.php' );
            $order->downloadlink = $link_message;
        }

     	$message = $header.$download_header.$contents.$footer;
     	$message = html_entity_decode($message, ENT_QUOTES,'UTF-8');

     	if(!$params->get('my_shop_test')){
     		// Send email to user
     		$subject = Jtext::_('MYMUSE NEW ORDER FOR')." ".$store->title;
     		$subject = html_entity_decode($subject, ENT_QUOTES,'UTF-8');
     		$fromname = $store->contact_first_name." ".$store->contact_last_name;
     		$mailfrom = $store->contact_email;
     		$email = $shopper->email;
     		

     		JUtility::sendMail($mailfrom, $fromname, $email, $subject, $message,1);
     	
     		// Send notification to webmaster
     		if($params->get('my_cc_webmaster')){
        			$webmaster_email = $params->get('my_webmaster');
        			JUtility::sendMail($mailfrom, $fromname, $webmaster_email, $subject, $message,1);
        	}
        	/**
        	 * GORD STOPTS CART RESET
        	 */
        	//$MyMuseCart->reset();
     	}

     	return $order;
   }



    /**
     * calc_order_subtotal
     * 
     * @param array $cart Cart includes product objects
     * @return float
     */
   	function calc_order_subtotal(&$cart) {

    	$db	= & JFactory::getDBO();

		$subtotal = 0.00;
    	for($i = 0; $i < $cart["idx"]; $i++) {
        	if(@$cart[$i]["coupon_id"]){ continue; }
        	if(!@$cart[$i]["product_id"]){ continue;}
        
        	$subtotal += $cart[$i]['product']->price['product_price'] * $cart[$i]['quantity'];
    	}
    	$subtotal = sprintf("%.2f", $subtotal);
    	return($subtotal);    
   	}

    /**
     * calc_order_tax
     * 
     * @param float $order_subtotal
     * @param object $shopper
     * @param object $store
     * @return array
     */
    function calc_order_tax($order_subtotal) {
    	
    	$MyMuseShopper  =&MyMuse::getObject('shopper','models');
		$shopper = $MyMuseShopper->getShopper();
		$MyMuseStore  =&MyMuse::getObject('store','models');
		$store = $MyMuseStore->getStore();

        $db   = & JFactory::getDBO();
        $taxes = array();
    
        // GET STORE STATE,COUNTRY
        $store_state         = $store->state;
        $store_country        = $store->country;
    
        // GET USER STATE,COUNTRY
        $user_state = $shopper->state;
        $user_country = $shopper->country;
    	
       //echo "userstate = $user_state, usercountry = $user_country storestate = $store_state, storecountry = $store_country";
        
        
        $q = "SELECT * FROM #__mymuse_tax_rate ORDER BY ordering";
        $db->setQuery($q);
        $tax_rates = $db->loadObjectList();
		$temp_tax = 0;
        foreach($tax_rates as $rate){
            $taxes[$rate->tax_name] = 0;  
            
            // APPLIES TO ALL
            if($rate->tax_applies_to == "C" && $user_country == $rate->country ){
                $temp_tax = $order_subtotal * $rate->tax_rate;
                $taxes[$rate->tax_name] += $temp_tax;
            }
    
            if($rate->tax_applies_to == "S" && $user_state == $rate->state ){
                if($rate->compounded == "1"){
                    $order_subtotal += $temp_tax;
                }
                $temp_tax = $order_subtotal * $rate->tax_rate;
                $taxes[$rate->tax_name] += $temp_tax;
            }
    
        }    
    	foreach($tax_rates as $rate){
        	if ($taxes[$rate->tax_name] == 0){
        	    unset($taxes[$rate->tax_name]);
       		}else{
        		$taxes[$rate->tax_name] = sprintf("%.2f", round($taxes[$rate->tax_name],2));
        	}
      	}

      	return($taxes);
   	}

     /**
     * processPayment
     * 
     * @param object $store
     * @param object $shopper
     * @param object $order
     * @return array
     */
	function processPayment( $store, $shopper, $order )
	{
		//THIS FUNCTION IS UNDER DEVELOPMENT; to post with curl to paypal
		//print_pre($order);
		if(PAY_PAL_ENABLE){
			/**
			 if(PAY_PAL_TEST){
			 	//get a login going
			 	$postfields = "login_email=gord@ecohosting.com&login_password=1banana2&cmd=_login-submit";
			 	$postfields .= "&login_cmd=&login_params=&submit=Log+In&cb_auto_login=1";
			 	$ch = curl_init();    // initialize curl handle
            	curl_setopt($ch, CURLOPT_URL,"https://developer.paypal.com/cgi-bin/devscr?__track=_home:login/main:_login-submit"); // set url to post to PAYMENT_URL
            	//curl_setopt($ch, CURLOPT_FAILONERROR, 1);
            	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);// allow redirects
            	curl_setopt($ch, CURLOPT_RETURNTRANSFER,1); // return into a variable
            	curl_setopt($ch, CURLOPT_TIMEOUT, 20); // times out after 46s
            	curl_setopt($ch, CURLOPT_POST, 1); // set POST method
            	curl_setopt($ch, CURLOPT_POSTFIELDS, $postfields); // add POST fields
            	curl_setopt($ch, CURLOPT_COOKIEJAR, "/var/www/html/singsong/components/com_mymuse/cookie.txt"); 
            	$result = curl_exec($ch); // run the whole process
            	$error = curl_error($ch);
            	curl_close($ch);
            	//echo $result."<br />".$error. "<BR />done with test"; exit;
			 	
			 }
			 */
            $postfields = "";
            $postfields .= "first_name=".urlencode($shopper->first_name);
            $postfields .= "&last_name=".urlencode($shopper->last_name);
            $postfields .= "&address_street=".urlencode($shopper->address_1)." ".urlencode($shopper->address_2);
            $postfields .= "&address_city=".urlencode($shopper->city);
            $postfields .= "&address_state=".urlencode($shopper->state);
            $postfields .= "&address_country=".urlencode($shopper->country);
            $postfields .= "&address_zip=".urlencode($shopper->zip);
            $postfields .= "&payer_email=".$shopper->email;
            $postfields .= "&cmd=_cart";
            $postfields .= "&business=".MERCHANTID;
			$postfields .= "&custom=".session_id();
			$postfields .= "&upload=1";
			//$postfields .= "&charset=UTF-8";
			$postfields .= "&amount=".$order->order_total;
			$postfields .= "&currency_code=".$store->currency;
			//$postfields .= "&item_name=".$store->title;
			//$postfields .= "&item_number=".$order->order_number;
			if($order->tax_total > 0){
				$postfields .= "&tax_cart=".$order->tax_total;
			}
			for ($i=1; $i <= count($order->items); $i++) {
				$postfields .= "&item_name_$i=".urlencode($order->items[$i]->title);
				$postfields .= "&quantity_$i=".$order->items[$i]->product_quantity;
				$postfields .= "&amount_$i=".$order->items[$i]->subtotal;
			}
			$postfields .= "&return=".JURI::base()."index.php?option=com_mymuse&task=thankyou";
			$postfields .= "&cancel_return=".JURI::base()."index.php?option=com_mymuse&task=paypalcancel";
			$postfields .= "&notify_url=".JURI::base()."index.php?option=com_mymuse&task=notify";
			
            echo $postfields; echo "<br />".PAYMENT_URL; 
           

            $ch = curl_init();    // initialize curl handle
            curl_setopt($ch, CURLOPT_URL,PAYMENT_URL); // set url to post to PAYMENT_URL
            curl_setopt($ch, CURLOPT_FAILONERROR, 1);
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);// allow redirects
            curl_setopt($ch, CURLOPT_RETURNTRANSFER,1); // return into a variable
            curl_setopt($ch, CURLOPT_TIMEOUT, 20); // times out after 46s
            curl_setopt($ch, CURLOPT_POST, 1); // set POST method
            //curl_setopt($ch, CURLOPT_COOKIEFILE, "/var/www/html/singsong/components/com_mymuse/cookie.txt"); 
            curl_setopt($ch, CURLOPT_POSTFIELDS, $postfields); // add POST fields
            $result = curl_exec($ch); // run the whole process
            $error = curl_error($ch);
            curl_close($ch); 
            echo $result;
            echo $error;
            exit;
		}
		
		
		
	}

    /**
     * getOrder
     * Pull order info from database
     *
     * @param int $id
     * @return object
     */

  	function getOrder($id){
		global $mainframe, $params;
  		
     	$MyMuseShopper  =&MyMuse::getObject('shopper','models');
		$shopper = $MyMuseShopper->getShopper();
		$MyMuseStore  =&MyMuse::getObject('store','models');
		$store = $MyMuseStore->getStore();
		$MyMuseCart  =&MyMuse::getObject('cart','helpers');
		$cart = $MyMuseCart->cart;
		$downloadable = 0;
		
		
  		$db =& JFactory::getDBO();
  		$query = "SELECT * from #__mymuse_order WHERE id=$id";
  		$db->setQuery($query);
  		$order = $db->loadObject();
		
		$order->tax_array = array();
		$order->tax_total = 0.00;
	  	$q = "SELECT * FROM #__mymuse_tax_rate ORDER BY ordering";
        $db->setQuery($q);
        $tax_rates = $db->loadObjectList();
        $regex = TAX_REGEX; 

        foreach($tax_rates as $rate){
        	$name = trim($rate->tax_name);
       		$name = preg_replace("/$regex/","_",$name);
       		$order->tax_array[$name] = $order->$name;
       		$order->tax_total += $order->$name;
        }

  		$query = "SELECT * from #__mymuse_order_item WHERE order_id=$id ORDER BY id";
  		$db->setQuery($query); 
  		$order->items = $db->loadObjectList();
  		
  		for($i = 0; $i < count($order->items); $i++){
  			$order->items[$i]->product = $MyMuseCart->getProduct($order->items[$i]->product_id);
  			$order->items[$i]->title = $order->items[$i]->product->title;
  			$order->items[$i]->file_length = $order->items[$i]->product->file_length;
			$order->items[$i]->quantity = $order->items[$i]->product_quantity;
			$order->items[$i]->product_item_subtotal = sprintf("%.2f", $order->items[$i]->product_item_price * $order->items[$i]->product_quantity);
  			// Build URL 
			if ($order->items[$i]->product->parentid){
				$pid = $order->items[$i]->product->parentid;
			}else{
				$pid = $order->items[$i]->id;
			}

			$catid = 0;
			$secid = 0;
			if(isset($order->items[$i]->category_id)){
				$catid = $order->items[$i]->category_id;
			}
  			if(isset($order->items[$i]->section_id)){
				$secid = $order->items[$i]->section_id;
			}
			$order->items[$i]->url = myMuseHelperRoute::getProductRoute($pid, $catid);
			$order->items[$i]->cat_url = myMuseHelperRoute::getCategoryRoute($catid, $secid, $params);
  		  	if( $params->get('my_downloads_enable') == "1" ) {
				
				if($order->items[$i]->file_name != ''){
					$downloadable++;
					$order->items[$i]->file_name = stripslashes($order->items[$i]->file_name);
					include_once( JPATH_COMPONENT.DS.'templates'.DS.'mail_downloads.php' );
            		$order->downloadlink = $download_header;
				}

			}
  		}
  		
		
		//add more to the order object for printing
		$order->idx = count($order->items);
		$order->status_name = MyMuseHelper::getStatusName($order->order_status );
        $order->tax_total = sprintf("%.2f", $order->tax_total);
        $order_total = $order->order_subtotal - ($order->coupon_discount*$order->order_subtotal/100) + $order->order_shipping + $order->tax_total;
        $order->order_total = sprintf("%.2f", $order_total);
        $order->order_currency = MyMuseHelper::getCurrency($MyMuseStore->_store->currency);
        $order->colspan=3;
		$order->colspan2 = 1;
		$order->do_html = 0;
		$order->downloadable = $downloadable;

    	return $order;

  }

}
?>
