<?php
/**
 * @version		$Id: shipping.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

require_once( MYMUSE_ADMIN_PATH.DS.'tables'.DS.'shipping.php' );

class MyMuseShipping
{
    
	 /**
     * Var shipMethodId Choice of shipping method
     * @var int
     */   
    var $shipMethodId = 0;
    
    /**
     * calculateShipping
     * 
     * @param array $cart
     * @return int
     */
	function calculateShipping($cart){
		//how many items need shipping
		$numberItems = 0;
		$shipping_total = 0.00;
		$db	= & JFactory::getDBO();
		
		for($i = 0; $i < $cart["idx"]; $i++) {
			if($cart[$i]['product_id']){
				$query = "SELECT product_downloadable from #__mymuse_product WHERE id=".$cart[$i]['product_id'];
				$db->setQuery($query);
				$downloadable = $db->loadResult();

				if($downloadable){
					continue;
				}else{
					$numberItems += $cart[$i]['quantity'];
				}
			}
		}
		if(!$this->shipMethodId){
			$this->error = JText::_('MYMUSE COULD NOT FIND SHIPPING METHOD');
			return false;	
		}
		if($numberItems){
			//load that ship method
			$shipMethod = new TableShipping($db);
			$shipMethod->load($this->shipMethodId);
			$remainder = $numberItems - 1;
			$shipping_total = $shipMethod->ship_handling_charge + $remainder * $shipMethod->ship_handling_additional;
			$shipping_total = sprintf("%.2f", $shipping_total);

		}

		return $shipping_total;
	}
	
	function validateShipMethidId($id=0)
	{
		if(!$id){
			return false;
		}
		$db	= & JFactory::getDBO();
		$shipMethod = new TableShipping($db);
		if($shipMethod->load($id)){
			$this->shipMethodId = $id;
			return true;
		}else{
			return false;
		}
		
	}

}
?>