<?php 
/**
 * @version		$Id: cart_order_summary.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
$shopper 	= $this->shopper;
$order 		= $this->order;

?>
     <table class="mymuse_cart" width="90%">
 
        <!-- Begin Order Summary -->
        <tr>
            <td class="sectiontableheader mymuse_cart_top" COLSPAN="2"><b><?php echo JText::_('MYMUSE ORDER SUMMARY') ?></b></td>
        </tr>
        <tr>
            <td><?php echo JText::_('MYMUSE ORDER NUMBER') ?>:</td>
            <td><?php echo sprintf("%08d", $order->id) ?></td>
        </tr>
        <tr>
            <td><?php echo JText::_('MYMUSE ORDER DATE') ?>:</td>
            <td><?php echo $order->created ?></td>
        </tr>
        <tr>
            <td><?php echo JText::_('MYMUSE ORDER STATUS') ?>:</td>
            <td><?php echo JText::_($order->status_name) ?></td>
        </tr>
        <tr>
            <td><?php echo JText::_('MYMUSE ORDER TOTAL') ?>:</td>
            <td><?php echo $order->order_currency['symbol'].$order->order_total." ".$order->order_currency['currency_code'] ?></td>
        </tr>
    <?php if($order->reservation_fee > 0){ ?>
        <tr>
            <td><?php echo JText::_('MYMUSE RESERVATION FEE') ?>:</td>
            <td><?php echo $order->order_currency['symbol'].$order->reservation_fee." ".$order->order_currency['currency_code'] ?></td>
        </tr>
        	<?php if($order->non_res_total > 0){ ?>
        	<tr>
            	<td><?php echo JText::_('MYMUSE OTHER CHARGES') ?>:</td>
            	<td><?php echo $order->order_currency['symbol'].$order->non_res_total." ".$order->order_currency['currency_code'] ?></td>
        	</tr>
        	<tr>
            <td><?php echo JText::_('MYMUSE PAID') ?>:</td>
            <td><?php echo $order->order_currency['symbol'].$order->pay_now." ".$order->order_currency['currency_code'] ?></td>
        </tr>
    	<?php } ?>
    <?php } ?>
	</table>
	<br />
        