<?php 
/**
 * @version		$Id: columns.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
$cparams =& JComponentHelper::getParams('com_media');
$cells = $this->params->get('section_number_columns',4);
$category_image_height = $this->params->get('section_category_image_height',150);
$product_image_height = $this->params->get('product_image_height',150);
?>
<?php if ($this->params->get('show_page_title', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	<?php echo $this->escape($this->params->get('page_title')); ?>
</div>

<?php endif; ?>
<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<tr>
	<td width="100%" colspan="<?php echo $cells; ?>" valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" colspan="2">
	<?php if ($this->params->get('section_show_image') && $this->section->image) : ?>
		<img src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/'.  $this->section->image;?>" align="<?php echo $this->section->image_position;?>" hspace="6" alt="<?php echo $this->section->image;?>" />
	<?php endif; ?>
	<?php if ($this->params->get('section_show_description') && $this->section->description) : ?>
		<?php echo $this->section->description; ?>
	<?php endif; ?>
	<br />
	<br />
	<br />
	<br />

	</td>
</tr>
<tr>
	    <?php
	    $i =0;
		foreach($this->categories as $category){
			?>
				<td valign="top">
				<table>
					
					

					<tr>
						<td align="center" width="150"><strong><a href="<?php echo $category->link; ?>"><?php echo $category->title; ?></a></strong>
						<?php if ($this->params->get('section_show_cat_num_products')) : ?>
						<br />
						<span class="small">
							( <?php if ($category->numitems==1) {
							echo $category->numitems ." ". JText::_( 'product' );}
							else {
							echo $category->numitems ." ". JText::_( 'products' );} ?> )
						</span>
						<?php endif; ?>
						</td>
					</tr>
					
					<?php if ($this->params->get('section_show_category_image') && $category->image) : ?>
					<tr>
						<td align="center" height="<?php echo $category_image_height; ?>" width="<?php echo $category_image_height; ?>">
						
						
						<a href="<?php echo $category->link; ?>"><img height="<?php echo $category_image_height; ?>" 
						src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/'.  $category->image;?>"  
						hspace="6" alt="<?php echo $category->image;?>" /></a>
			
						</td>
					</tr>
					<?php endif; ?>
					
					<?php if ($this->params->get('section_show_category_description') && $category->description) : ?>
					<tr>
						<td align="center"  width="150">
						<?php echo $category->description;?>
						</td>
					</tr>
					<?php endif; ?>
					
				</table>
				</td>
			<?php 
			$i++;
			$r = $i %  $cells;
			if(!$r){
				echo '</tr><tr>';	
			}
		}
		for($i=0; $i< $cells-$r; $i++){
			echo '<td>&nbsp;</td>';
		}
		?>
</tr>
</table>

<?php if ($this->params->get('section_show_all_products')) : ?>
<hr>
<form action="" method="post" name="adminForm">
<div class="componentheading"><?php echo JText::_('MYMUSE ALL PRODUCTS');?></div>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<?php if ($this->params->get('filter') || $this->params->get('show_pagination_limit')
&& count($this->items) < $this->total) : 

?>
<tr>
	<td colspan="5">
		<table>
		<tr>
		<?php if ($this->params->get('filter')) : ?>
			<td align="left" width="60%" nowrap="nowrap">
				<?php echo JText::_('MYMUSE '.strtoupper($this->params->get('filter_type')) . ' FILTER').'&nbsp;'; ?>
				<input type="text" name="filter" value="<?php echo $this->escape($this->filter);?>" class="inputbox" onchange="document.adminForm.submit();" />
			</td>
		<?php endif; ?>
		<?php if ($this->params->get('show_pagination_limit')) : ?>
			<td align="right" width="40%" nowrap="nowrap">
			<?php
				echo '&nbsp;&nbsp;&nbsp;'.JText::_('MYMUSE DISPLAY NUM').'&nbsp;';
				echo MyMuseHelper::getLimitBox($this->limit);
			?>
			</td>
		<?php endif; ?>
		</tr>
		</table>
	</td>
</tr>
<?php endif; ?>
<tr>
	    <?php
	    $i =0;
		foreach($this->items as $item){
			?>
				<td valign="top">
				<table>
					
					<tr>
						<td align="center" width="150"><strong><a href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a></strong>
						</td>
					</tr>
					
					<?php if ($this->params->get('show_product_image')) : ?>
					<tr>
						<td align="center" height="<?php echo $product_image_height; ?>" width="150">
						<?php if ($item->image) : ?>
							<a href="<?php echo $item->link; ?>"><img 
							height="<?php echo $product_image_height; ?>"
							src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/albums/'.  $item->image;?>"  
							hspace="6" alt="<?php echo $item->image;?>" /></a>
							<?php endif; ?>
						</td>
					</tr>
					<?php endif; ?>
					
				</table>
				</td>
			<?php 
			$i++;
			$r = $i %  $cells;
			if(!$r){
				echo '</tr><tr>';	
			}
		}
		for($i=0; $i< $cells-$r; $i++){
			echo '<td>&nbsp;</td>';
		}
		?>
</tr>
</table>

<?php if ($this->params->get('show_pagination')) : ?>
<table width="90%">
<tr>	
	<td align="center" colspan="<?php echo $cells; ?>" 
	class="sectiontablefooter<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">		
	<?php echo $this->pagination->getPagesLinks(); ?>	</td></tr>
	<tr><td colspan="3"><div class="hr">&nbsp;</div></td></tr>
	<tr>	<td colspan="<?php echo $cells; ?>" align="right">		
	<?php echo $this->pagination->getPagesCounter(); ?>	</td></tr>
</table>
<?php endif; ?>

<input type="hidden" name="id" value="<?php echo $this->section->id; ?>" />
<input type="hidden" name="option" value="com_mymuse" />
<input type="hidden" name="view" value="section" />
<input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>" />
<input type="hidden" name="layout" value="<?php echo $this->layout; ?>" />
<input type="hidden" name="filter_order" value="" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="limitstart" value="0" />
</form>
<?php endif; ?>