<?php
/**
 * @version		$Id: view.html.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view' );

class myMuseViewShopper extends Jview
{
	function __construct()       {
                parent::__construct();        
        }
        
	function display($tpl = null){
		global $mainframe, $return;

		$MyMuseShopper  = MyMuse::getObject('shopper','models');
		$shopper 		= $MyMuseShopper->getShopper();
		$MyMuseStore  	= MyMuse::getObject('store','models');
		$store 			= $MyMuseStore->_store;
		$MyMuseCart  	= MyMuse::getObject('cart','helpers');
		
			
		
		$user		=& JFactory::getUser();
		$document	=& JFactory::getDocument();
		$dispatcher	=& JDispatcher::getInstance();
		$pathway	=& $mainframe->getPathway();
		$params		=& $mainframe->getParams('com_mymuse');
		
		$Itemid	= JRequest::getVar('Itemid', 0, '', 'int');
    	$this->assignRef('Itemid', $Itemid);
		$this->assignRef('user'  , $user);
		$this->assignRef('params', $params);
		$this->assignRef('store', $store);
		$this->assignRef('return', $return);
		$this->assignRef('shopper', $shopper);
		
		
		if($this->getLayout() == "listorders"){
			$model = $this->getModel();
			$orders = $model->getOrders();
			$this->assignRef('orders', $orders);
			parent::display();
			return true;
		}
		$continue = 1;
		if(!$MyMuseCart->cart['idx']){
			$continue = 0;
		}
		$this->assignRef('continue', $continue); 

		
		
		$lists['country'] = array();
		$lists['state'] = array();
		$mainframe->addCustomHeadTag( '<script type="text/javascript" src="'.JURI::base().'/includes/js/joomla.javascript.js"></script>' );
		$countrystates = myMuseHelper::listCountryState($lists,$shopper->country, $shopper->state, $store->country);
		$this->assignRef('lists', $lists);
		$this->assignRef('countrystates', $countrystates);
		

		parent::display($tpl);

	}

}
?>