<?php
/**
 * @version		$Id: shipping.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is within the rest of the framework
defined('_JEXEC') or die('Restricted access');

/**
 * Mymuse shipping table
 */
class TableShipping extends JTable
{
	/** @var int Primary key */
	var $id							= null;
	/** @var string */
	var $ship_carrier_code			= null;
	/** @var string */
	var $ship_carrier_name			= null;
	/** @var string */
	var $ship_method_code			= null;
	/** @var string */
	var $ship_method_name			= null;
	/** @var int */
	var $state						= null;
	/** @var int */
	var $ordering					= null;
	/** @var decimal */
	var $ship_handling_charge		= null;
	/** @var decimal */
	var $ship_handling_additional	= null;
	/** @var string */
	var $packaging_code				= null;
	/** @var string */
	var $packaging_code_name		= null;


	/**
	* @param database A database connector object
	*/
	function __construct( &$db ) {
		parent::__construct( '#__mymuse_shipping', 'id', $db );
	}

	/**
	 * Overloaded check function
	 *
	 * @access public
	 * @return boolean
	 * @see JTable::check
	 * @since 1.5
	 */
	function check()
	{


		
		return true;

	}

}