<?php
/**
 * @version		$Id: product_file_form.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
$row = $this->row;
$params = $this->params;
$lists = $this->lists;
$editor =& JFactory::getEditor();
JFilterOutput::objectHTMLSafe( $row );
JHTML::_('behavior.tooltip');
?>
		<script language="javascript" type="text/javascript">
		<!--

		function submitbutton(pressbutton)
		{
			var form = document.adminForm;

			if (pressbutton == 'cancelitem') {
				submitform( pressbutton );
				return;
			}

			// do field validation

			if (form.title.value == ""){
				alert( "<?php echo JText::_( 'MYMUSE FILE MUST HAVE A TITLE', true ); ?>" );
			} else if (form.product_sku.value == ""){
				alert( "<?php echo JText::_( 'MYMUSE FILE MUST HAVE AN SKU', true ); ?>" );
			} else {

				submitform( pressbutton );
			}
		}
		//-->
		</script>
		<h3><?php echo JText::_( 'MYMUSE FILES FOR').": ".$row->parent_product->title; ?>
		<?php  if($this->task == 'new_allfiles' || $this->task == 'edit_allfiles'){ 
			echo JText::_( 'MYMUSE ONE BIG ZIP');
		 } ?>
		
		</h3>
		<form action="index.php" method="post" name="adminForm" enctype="multipart/form-data">

		<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top" width="350">
		<table  class="adminform" border=1>
		<tr>
				<th colspan="2"><?php 
				if($params->get('my_use_database')){
					echo JText::_( 'MYMUSE STORE IN DB' ); 
				}else{
					echo JText::_( 'MYMUSE STORE IN FILESYSTEM' ); 
				}
					
					?></th>
			</tr>
		<tr>
			<td><span class="editlinktip">
				<label for="title" id="title-lbl" class="hasTip" 
				title="<?php echo JText::_("MYMUSE DESC TITLE")?>">
					<?php echo JText::_( 'MYMUSE TITLE' ); ?>
				</label>
				</span>
			</td>
			<td>
				<input class="inputbox" type="text" name="title" id="title" size="40" maxlength="255" value="<?php echo $row->title; ?>" />
			</td>

		</tr>

		<tr>
			<td><span class="editlinktip">
				<label for="product_sku" id="product_sku-lbl" class="hasTip" 
				title=<?php echo JText::_("MYMUSE SKU DESC")?>>
				
					<?php echo JText::_( 'MYMUSE FILE SKU' ); ?>
				</label>
				</span>
			</td>
			<td>
				<input class="inputbox" type="text" name="product_sku" id="product_sku" size="20" maxlength="255" value="<?php echo $row->product_sku; ?>" />
					
			</td>
		</tr>
		<tr>
			<td>
				<label for="product_price">
					<?php echo JText::_( 'MYMUSE PRICE' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="product_price" id="product_price" size="20" maxlength="255" 
				value="<?php if(isset($row->product_price)){ echo $row->product_price; }; ?>" />
					
			</td>
		</tr>
		<tr>
			<td>
				<label>
				<?php echo JText::_( 'MYMUSE ORDERING' ); ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="ordering" id="ordering" size="5" maxlength="255" value="<?php echo $row->ordering; ?>" />
			</td>
		</tr>
		<?php if(!$params->get('my_use_database')){ ?>
		<tr>
			<td><span class="editlinktip">
			<label for="preview_dir" id="preview_dir" class="hasTip" 
				title="<?php echo JText::_("MYMUSE PREVIEW DIR DESC")?>">
				<?php echo JText::_( 'MYMUSE DOWNLAD PATH' ); ?></label></span></td>
			<td><?php echo $lists['download_dir']; ?>
			</td>
		</tr>
		<?php } ?>
		<tr>
			<td><span class="editlinktip">
				<label for="uploadfile" id="uploadfile" class="hasTip" title="<?php echo JText::_("MYMUSE BROWSE TO FILE")?>">
				<?php echo JText::_( 'MYMUSE UPLOAD NEW FILE' ); ?>
				</label>
				</span>
			</td>
			<td>
				<input class="inputbox" type="file" name="product_file" id="product_file" size="60" />
			</td>
		</tr>

		<tr>
				<td><span class="editlinktip">
				<label for="file_name" id="file_name" class="hasTip" 
				title="<?php echo JText::_("MYMUSE ACTUAL FILE NAME")?>">
				<?php echo JText::_( 'MYMUSE FILE NAME' ); ?></label></span></td>
				<td><?php echo stripslashes($row->file_name); ?>
				</td>
		</tr>
<?php if ($params->get('my_encode_filenames')){ ?>		
		<tr>
				<td><span class="editlinktip">
				<label for="file_alias" id="file_alias" class="hasTip" 
				title="<?php echo JText::_("MYMUSE FILE ALIAS DESC")?>">
				<?php echo JText::_( 'MYMUSE FILE ALIAS' ); ?></label></span></td>
				<td><?php echo stripslashes($row->title_alias); ?>
				<input type="hidden" name="title_alias" value="<?php echo stripslashes($row->title_alias); ?>"></input>
				</td>
		</tr>
<?php } ?>
		<tr>
				<td><span class="editlinktip">
				<label for="file_length" id="file_length" class="hasTip" 
				title="<?php echo JText::_("MYMUSE FILE LENGTH DESC")?>"><?php echo JText::_( 'MYMUSE FILE LENGTH' ); ?></label></span></td>
				<td><?php echo MyMuseHelper::ByteSize($row->file_length); ?> 
				</td>
		</tr>
		<tr>
				<td><span class="editlinktip">
				<label for="file_downloads" id="file_downloads-lbl" class="hasTip" 
				title="<?php echo JText::_("MYMUSE NUMBER DOWNLOADS DESC")?>">
				<?php echo JText::_( 'MYMUSE NUMBER DOWNLOADS' ); ?></label></span></td>
				<td><input class="inputbox" type="text" name="file_downloads" id="file_downloads" size="12" 
				maxlength="11" value="<?php echo $row->file_downloads; ?>" />
				</td>
		</tr>
		
		</table>
			</td>
			<td width="5">&nbsp;</td>
			<td width="350" valign="top">
		<table  class="adminform" border=1>
			<tr>
				<th colspan="2"><?php echo JText::_( 'MYMUSE PREVIEW PATH STORE' ); ?></th>
			</tr>
			
			<tr>
				<td><span class="editlinktip">
				<label for="preview_dir" id="preview_dir" class="hasTip" 
				title="<?php echo JText::_("MYMUSE PREVIEW PATH DESC")?>">
				<?php echo JText::_( 'MYMUSE PREVIEW PATH' ); ?></label></span></td>
				<td><?php echo $params->get('my_preview_dir'); ?>
				</td>
			</tr>
			<tr>
				<td>
					<span class="editlinktip">
				<label for="preview_upload" id="preview_ipload" class="hasTip" 
				title="<?php echo JText::_("MYMUSE OPEN MEDIA MANAGER")?>">
					<?php echo JText::_( 'MYMUSE UPLOAD PREVIEW' ); ?>
					</label>
					</span>
				</td>
				<td>
					<div id="editor-xtd-buttons">
					<div class="button2-left"><div class="image"><a class="modal-button" title="File" 
					href="index.php?option=com_media&amp&folder=<?php echo preg_replace("#images/#",'',$params->get('my_preview_dir')); ?>&amp;view=media&amp;tmpl=component"  
					target="_media" rel="{handler: 'iframe', size: {x: 570, y: 400}}"><?php echo JText::_( 'MYMUSE FILE MANAGEMENT'); ?></a></div></div>
					</div>
				</td>
			</tr>
				<tr>
					<td class="key">
						<label for="image">
							<?php echo JText::_( 'MYMUSE PREVIEW FILE' ); ?>:
						</label>
					</td>
					<td>
						<?php echo $lists['previews']; ?>
					</td>
				</tr>
			
		</table>
		</td>
		</tr>
		</table>
		
		<input type="hidden" name="parentid" value="<?php echo $row->parentid ?>">
		<input type="hidden" name="state" value="<?php echo $row->state ?>">
		<input type="hidden" name="sectionid" value="<?php echo $row->sectionid; ?>">
		<input type="hidden" name="controller" value="product" />
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="cid[]" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="version" value="<?php echo $row->version; ?>" />
		<input type="hidden" name="details[product_downloadable]" value="1" />
		<input type="hidden" name="type" value="file" />
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="task" value="" />
	<?php  if($this->task == 'new_allfiles' || $this->task == 'edit_allfiles'){ ?>
		<input type="hidden" name="product_allfiles" value="1" />
	<?php } ?>
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>