<?php
/**
 * @version		$Id: default.php 175 2010-10-19 03:31:56Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
	$lists =& $this->lists;
	$orders_total =& $this->orders_total;
	$orders_summary =& $this->orders_summary;
	$rows =& $this->items_summary;

	
		JHTML::_('behavior.tooltip');
		?>
		
		<form action="index.php" method="post" name="adminForm" >
		<h2><?php echo JText::_('Filter'); ?></h2>
		<table class="paramlist admintable">
		<tr>
			<td width="200" class="paramlist_key"><?php echo JText::_( 'MYMUSE ORDER STATUS' ); ?>:</td>
			<td width="100" class="paramlist_value"><?php echo $lists['order_status'];?></td>
			<td rowspan="2"><?php echo $this->form->render('params', 'dates'); ?></td>
			<td rowspan="2" valign="top">
			<button onclick="this.form.submit();"><?php echo JText::_( 'MYMUSE CREATE REPORT' ); ?></button>
			</td>
		</tr>
		<tr>
			<td width="200" class="paramlist_key"><?php echo JText::_( 'MYMUSE ARTIST' ); ?>:</td>
			<td width="100" class="paramlist_value"><?php echo $lists['artistid']; ?></td>

		</tr>
		</table>
		<input type="hidden" name="option" value="com_mymuse" />
		<input type="hidden" name="controller" value="reports" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />

		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
		
		
<?php if($orders_total >0 && !$this->artistid){ ?>
		<h2>Order Summary</h2>
		<table class="paramlist admintable">
		<tr>
			<td width="200" class="paramlist_key"><?php echo JText::_( 'MYMUSE TOTAL NO ORDERS' ); ?>:</td>
			<td width="100" class="paramlist_value"><?php echo $orders_total;?></td>
		</tr>
		<tr>
			<td width="200" class="paramlist_key"><?php echo JText::_( 'MYMUSE TOTAL SUBTOTAL' ); ?>:</td>
			<td width="100" class="paramlist_value"><?php echo $orders_summary->total_subtotal;?></td>
		</tr>
		<tr>
			<td width="200" class="paramlist_key"><?php echo JText::_( 'MYMUSE TOTAL SHIPPING' ); ?>:</td>
			<td width="100" class="paramlist_value"><?php echo $orders_summary->total_shipping;?></td>
		</tr>
		<tr>
			<td width="200" class="paramlist_key"><?php echo JText::_( 'MYMUSE TOTAL DISCOUNTS' ); ?>:</td>
			<td width="100" class="paramlist_value"><?php echo $orders_summary->total_discount;?></td>
		</tr>
	<?php foreach($orders_summary->tax_array as $tax){ ?>
		<tr>
			<td width="200" class="paramlist_key"><?php echo JText::_( $tax ); ?>:</td>
			<td width="100" class="paramlist_value"><?php echo $orders_summary->$tax;?></td>
		</tr>
	<?php } ?>	
		</table>
<?php } ?>


<?php if(count( $rows )){ ?>
		<h2><?php echo JText::_('MYMUSE ITEMS SUMMARY'); ?></h2>
		
		<table  width="500">
		<thead>
			<tr>
				<th class="title">
					<?php echo JText::_('MYMUSE PRODUCT'); ?>
				</th>
				<th class="title">
					<?php echo JText::_('MYMUSE ARTIST'); ?>
				</th>
				<th class="title">
					<?php echo JText::_('MYMUSE NUMBER SOLD'); ?>
				</th>
				<th class="title">
					<?php echo JText::_('MYMUSE TOTAL SALES'); ?>
				</th>
			</tr>
		</thead>

		<tbody>
		<?php
		$k = 0;
		$total = 0.00;
		for ( $i=0, $n=count( $rows ); $i < $n; $i++ ) {
			$row =& $rows[$i];
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
					<?php echo $row->product_name; ?>
				</td>
				<td>
					<?php echo $row->artist_name; ?>
				</td>
				<td align="center">
					<?php echo $row->quantity; ?>
				</td>
				<td align="center">
					$<?php echo $row->total; ?>
				</td>

				<?php
				$k = 1 - $k;
				$total += $row->total;
				?>
			</tr>
			<?php
		}
		?>
			<tr>
				<td colspan="3" align="right"><?php echo Jtext::_('MYMUSE TOTAL'); ?></td>
				<td><?php echo $total; ?></td>
			</tr>
		</tbody>
		</table>
<?php } ?>
