<?php
/**
 * @version		$Id: shopper_form.php 171 2010-10-17 14:16:00Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
$user 			=& $this->user;
$shopper 		=& $this->shopper;
$orders 		=& $this->orders;
$user_params 	=& $this->user_params;
$lists 			=& $this->lists;
$countrystates 	=& $lists['countrystates'];
$myuser 		=& $this->myuser;

		// clean item data
		JFilterOutput::objectHTMLSafe( $user, ENT_QUOTES, '' );
		JFilterOutput::objectHTMLSafe( $shopper, ENT_QUOTES, '' );
		JHTML::_('behavior.switcher');

		

		?>
		<div id="submenu-box">
<div class="m">

<div class="submenu-box">
	<div class="submenu-pad">
		<ul id="submenu" class="configuration">
			<li><a id="joomla" class="active"><?php echo JText::_( 'MYMUSE JOOMAL DETAIL' ); ?></a></li>
			<li><a id="shopper"><?php echo JText::_( 'MYMUSE SHOPPER DETAIL' ); ?></a></li>
			<li><a id="order"><?php echo JText::_( 'MYMUSE ORDERS' ); ?></a></li>
		</ul>
		<div class="clr"></div>
	</div>
</div>
</div>
</div>
		<script language="javascript" type="text/javascript">
		<!--
		var countrystates = new Array;
		<?php
		$i = 0;
		foreach ($countrystates as $k=>$items) {
			foreach ($items as $v) {
				echo "countrystates[".$i++."] = new Array( '$k','".addslashes( $v->id )."','".addslashes( $v->title )."' );\n\t\t";
			}
		}
		?>

	function submitbutton(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancel') {
			submitform( pressbutton );
			return;
		}
		var r = new RegExp("[\<|\>|\"|\'|\%|\;|\(|\)|\&]", "i");

		// do field validation
		if (trim(form.name.value) == "") {
			alert( "<?php echo JText::_( 'MYMUSE SHOPPER MUST HAVE A NAME', true ); ?>" );
		} else if (form.username.value == "") {
			alert( "<?php echo JText::_( 'MYMUSE SHOPPER MUST HAVE A USERNAME', true ); ?>" );
		} else if (r.exec(form.username.value) || form.username.value.length < 2) {
			alert( "<?php echo JText::_( 'MYMUSE WARNLOGININVALID', true ); ?>" );
		} else if (trim(form.email.value) == "") {
			alert( "<?php echo JText::_( 'MYMUSE SHOPPER MUST HAVE AN EMAIL', true ); ?>" );
		} else if (form.gid.value == "") {
			alert( "<?php echo JText::_( 'MYMUSE SHOPPER MUST BE ASSIGNED TO A GROUP', true ); ?>" );
		} else if (((trim(form.password.value) != "") || (trim(form.password2.value) != "")) && (form.password.value != form.password2.value)){
			alert( "<?php echo JText::_( 'MYMUSE PASSWORDS DO NOT MATCH', true ); ?>" );
		} else if (form.gid.value == "29") {
			alert( "<?php echo JText::_( 'MYMUSE WARNSELECTPF', true ); ?>" );
		} else if (form.gid.value == "30") {
			alert( "<?php echo JText::_( 'MYMUSE WARNSELECTPB', true ); ?>" );
		} else {
			submitform( pressbutton );
		}
	}

	function gotocontact( id ) {
		var form = document.adminForm;
		form.contact_id.value = id;
		submitform( 'contact' );
	}
</script>




<form action="index.php" method="post" name="adminForm">

<div id="config-document">
	<div id="page-joomla">
		<table class="noshow">
			<tr>
				<td>

		
<fieldset class="adminform"><legend><?php echo JText::_( 'MYMUSE JOOMAL DETAIL' ); ?></legend>
<table class="admintable" cellspacing="1">
	<tr>
		<td width="150" class="key"><label for="name"> <?php echo JText::_( 'MYMUSE NAME' ); ?>
		</label></td>
		<td><input type="text" name="name" id="name" class="inputbox"
			size="40" value="<?php echo $user->name; ?>" /></td>
	</tr>
	<tr>
		<td class="key"><label for="username"> <?php echo JText::_( 'MYMUSE USERNAME' ); ?>
		</label></td>
		<td><input type="text" name="username" id="username" class="inputbox"
			size="40" value="<?php echo $user->username; ?>"  />
		</td>
	</tr>
	<tr>
		<td class="key"><label for="email"> <?php echo JText::_( 'MYMUSE EMAIL' ); ?>
		</label></td>
		<td><input class="inputbox" type="text" name="email" id="email"
			size="40" value="<?php echo $user->email; ?>" /></td>
	</tr>
	<tr>
		<td class="key"><label for="password"> <?php echo JText::_( 'MYMUSE PASSWORD' ); ?>
		</label></td>
		<td><input class="inputbox" type="password" name="password"
			id="password" size="40" value="" /></td>
	</tr>
	<tr>
		<td class="key"><label for="password2"> <?php echo JText::_( 'MYMUSE VERIFY PASSWORD' ); ?>
		</label></td>
		<td><input class="inputbox" type="password" name="password2"
			id="password2" size="40" value="" /></td>
	</tr>
	<tr>
		<td valign="top" class="key"><label for="gid"> <?php echo JText::_( 'MYMUSE GROUP ID' ); ?>
		</label></td>
		<td><?php echo $lists['gid']; 
		?></td>
	</tr>

	<?php if( $user->id ) : ?>
	<tr>
		<td class="key"><?php echo JText::_( 'MYMUSE REGISTER DATE' ); ?>
		</td>
		<td><?php echo $user->registerDate;?></td>
	</tr>
	<tr>
		<td class="key"><?php echo JText::_( 'MYMUSE LAST VISIT' ); ?>
		</td>
		<td><?php echo $user->lvisit; ?></td>
	</tr>
	<?php endif; ?>
</table>
</fieldset>

<fieldset class="adminform"><legend><?php echo JText::_( 'MYMUSE PARAMETERS' ); ?></legend>
<table class="admintable" cellspacing="1">
	<tr>
		<td><?php if( is_callable(array($user_params, 'render'))) echo $user_params->render( 'user_params' ); ?>
		</td>
	</tr>
</table>
</fieldset>

				</td>
			</tr>
		</table>
	</div>
	<div id="page-shopper">
		<table class="noshow">
			<tr>
				<td>



<fieldset class="adminform"><legend><?php echo JText::_( 'MYMUSE SHOPPER DETAIL' ); ?></legend>
<table class="admintable" cellspacing="1">

	<!--  tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE SHOPPER GROUP' ) ?>:</td>
		<td>shopper</td>
	</tr -->
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE CUSTOMER NUMBER' ) ?>:</td>
		<td><?php echo $shopper->id ?>
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE COMPANY' ) ?>:</td>
		<td><input type="text" class="inputbox" name="company"
			size="40"
			value="<?php echo $shopper->company ?>" />
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE TITLE' ) ?>:</td>
		<td><input type="text" class="inputbox" name="title"
			size="40"
			value="<?php echo $shopper->title ?>" />
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE FIRST NAME' ) ?>:</td>
		<td><input type="text" class="inputbox" name="first_name"
			size="40"
			value="<?php echo $shopper->first_name ?>" />
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE LAST NAME' ) ?>:</td>
		<td><input type="text" class="inputbox" name="last_name"
			size="40"
			value="<?php echo $shopper->last_name ?>" />
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE PHONE' ) ?>:</td>
		<td><input type="text" class="inputbox" name="phone_1"
			size="40"
			value="<?php echo $shopper->phone_1 ?>" />
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE CELL PHONE' ) ?>:</td>
		<td><input type="text" class="inputbox" name="phone_2"
			size="40"
			value="<?php echo $shopper->phone_2 ?>" />
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE FAX' ) ?>:</td>
		<td><input type="text" class="inputbox" name="fax"
			size="40"
			value="<?php echo $shopper->fax ?>" />
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE ADDRESS 1' ) ?>:</td>
		<td><input type="text" class="inputbox" name="address_1"
			size="40"
			value="<?php echo $shopper->address_1 ?>" />
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE ADDRESS 2' ) ?>:</td>
		<td><input type="text" class="inputbox" name="address_2"
			size="40"
			value="<?php echo $shopper->address_2 ?>" />
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE cITY' ) ?>:</td>
		<td><input type="text" class="inputbox" name="city"
			size="40"
			value="<?php echo $shopper->city ?>" />
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE COUNTRY' ) ?>:</td>
		<td><?php  echo $lists['country']; ?>
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE STATE' ) ?>:</td>
		<td><?php  echo $lists['state']; ?>
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE ZIP' ) ?>:</td>
		<td><input type="text" class="inputbox" name="zip"
			size="40"
			value="<?php echo $shopper->zip ?>" />
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE TERMS OF SERVICE' ) ?>:</td>
		<td><input type="text" class="inputbox" name="terms_of_service"
			size="40"
			value="<?php echo $shopper->terms_of_service ?>" />
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE PERMISSIONS' ) ?>:</td>
		<td><input type="hidden" class="inputbox" name="perms"
			value="<?php echo $shopper->perms ?>" /><?php echo $shopper->perms ?>
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE COMMENTS' ) ?>:</td>
		<td><textarea rows="3" cols="40" class="inputbox" name="comments" /><?php echo $shopper->comments ?></textarea>
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE CREATED' ) ?>:</td>
		<td><?php echo $shopper->created?>
		</td>
	</tr>
	<tr>
		<td  class="key"><?php echo JText::_( 'MYMUSE MODIFIED' ) ?>:</td>
		<td><?php echo $shopper->modified ?>
		</td>
	</tr>
</table>
</fieldset>

<!-- UserMeta -->
<?php if( $shopper->user_id ) { ?>
<!--  
<fieldset><legend><?php echo JText::_( 'MYMUSE SHIPPING ADDRESS' ) ?></legend>

<a class="vmicon vmicon-16-editadd"
	href="<?php echo "index.php?option=com_mymuse&amp;controller=shopper&amp;task=user_address_add&amp;user_id=".$shopper->user_id; ?>">
(<?php echo JText::_( 'MYMUSE ADD SHIPPING ADDRESS' ) ?>)</a>

<table class="adminlist">
	<tr>
		<td><?php

		if (!count($lists['addresses'])) {
			echo JText::_( 'MYMUSE NO SHIPPING ADDRESS' );
		}
		else {
			foreach($lists['addresses'] as $add) {
				$url = $_SERVER['PHP_SELF'] . "?option=com_mymuse&amp;controller=shopper&amp;task=user_address_add&amp;user_id=".$shopper->user_id."&id=" . $add->id;
				echo '&raquo; <a href="' . $url . '">';
				echo $add->address_type_name . "</a><br/>";
			}
		} ?></td>
	</tr>
</table>
</fieldset>
-->
		<?php
		}


		echo '<table class="adminform"><tr><td>';

		echo '</td></tr></table>';
?>
				</td>
			</tr>
		</table>
	</div>
	<div id="page-order">
		<table class="noshow">
			<tr>
				<td>


	<h3><?php echo JText::_( 'MYMUSE ORDERS' ) ?></h3>

	<table class="adminlist" cellpadding="1">
		<thead>
			<tr>
				<th width="2%" class="title">
					<?php echo JText::_( 'MYMUSE ORDER ID' ); ?>
				</th>
				<th class="title">
					<?php echo JText::_( 'MYMUSE SUBTOTAL' ); ?>
				</th>
				<th class="title">
					<?php echo JText::_( 'MYMUSE STATUS' ); ?>
				</th>
				<th class="title">
					<?php echo JText::_( 'MYMUSE CREATED' ); ?>
				</th>
				<th class="title">
					<?php echo JText::_( 'MYMUSE TAXES' ); ?>
				</th>
				<th class="title">
					<?php echo JText::_( 'MYMUSE TOTAL' ); ?>
				</th>
			</tr>
		</thead>
		<tbody>
		<?php 	if( count($orders) ) { ?>
		<?php  foreach ($orders as $order){ 
			$link = "index.php?option=com_mymuse&controller=order&task=edit&cid[]=".$order->id;
			?>
			<tr>
				<td width="2%" class="title">
					<a href="<?php echo $link; ?>"><?php echo $order->id; ?></a>
				</td>
				<td class="title">
					<?php echo $order->order_subtotal; ?>
				</td>
				<td class="title">
					<?php echo $order->order_status; ?>
				</td>
				<td class="title">
					<?php echo $order->created; ?>
				</td>
				<td class="title">
					<?php echo ($order->tax_total); ?>
				</td>
				<td class="title">
					<?php $total = $order->order_subtotal - ($order->order_subtotal * $order->coupon_discount / 100);
					
					$total = $total + $order->tax_total + $order->order_shipping;
					
					echo $total; ?>
				</td>
			</tr>
		<?php } ?>
	<?php } ?>
		</tbody>
	</table>


						</td>
			</tr>
		</table>
	</div>
</div>


	<input type="hidden" name="shopper_id" value="<?php echo $shopper->id; ?>" />
	<input type="hidden" name="cid[]" value="<?php echo $user->id; ?>" />
	<input type="hidden" name="option" value="com_mymuse" />
	<input type="hidden" name="controller" value="shopper" />
	<input type="hidden" name="task" value="" />
	<?php if (!$myuser->authorize( 'com_users', 'email_events' )) { ?>
	<input type="hidden" name="sendEmail" value="0" />
	<?php } ?>
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
