<?php
/**
 * @version		$Id: mymuse.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
ini_set('memory_limit',"128M");

//set up some global vars
global $store, $shopper, $cart, $MyMuseCart, $MyMuseCheckout, $return, $MyMuseShopper,$params;

// initialize
define('MYMUSE_ADMIN_PATH',JPATH_SITE.DS.'administrator'.DS.'components'.DS.'com_mymuse'.DS);

require_once( JPATH_COMPONENT.DS.'mymuse.class.php');
require_once( MYMUSE_ADMIN_PATH.DS.'helpers'.DS.'helper.php' );
require_once( MYMUSE_ADMIN_PATH.DS.'tables'.DS.'shopper.php' );
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'checkout.php' );
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'route.php');
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'query.php');
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'shopper.php');
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'cart.php');
require_once( JPATH_COMPONENT.DS.'models'.DS.'store.php');
require_once( JPATH_COMPONENT.DS.'models'.DS.'shopper.php');
require_once( JPATH_COMPONENT.DS.'models'.DS.'product.php');

$Lang =& JFactory::getLanguage();
$Lang->load("com_user");
$Doc =& JFactory::getDocument();
//JHTML::stylesheet( 'mymuse.css', 'components/com_mymuse/assets/css/' );
$Doc->addStyleSheet("./components/com_mymuse/assets/css/mymuse.css");

// return URL
$task 	= JRequest::getVar('task', null, 'default', 'cmd');
$Itemid = JRequest::getVar('Itemid', '');
$id 	= JRequest::getVar('id', '');
$return = JRequest::getVar('return',"index.php?option=com_mymuse");
$controller = JRequest::getWord('controller','');

if($id){
	$return .= "&amp;id=$id";
}
if($Itemid){
	$return .= "&amp;Itemid=$Itemid";
}
JRequest::setVar($return);
if($task == 'login'){
	$controller = '';
}else{
	$return .= "&amp;task=$task";
}

JPluginHelper::importPlugin('mymuse');

// Require the base controller
require_once (JPATH_COMPONENT.DS.'controller.php');

// Require specific controller if requested
if($controller) {
    $path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
    if (file_exists($path)) {
        require_once $path;
    } else {
        $controller = '';
    }
}

// Create the controller
$classname    = 'MyMuseController'.$controller;
$controller   = new $classname( );

// Perform the Request task
$controller->execute($task);


//save the cart in the session
$session = &JFactory::getSession();
$MyMuseCart = MyMuse::getObject('cart','helpers');
$session->set("cart",$MyMuseCart->cart);




$controller->redirect();
?>