<?php 
/**
 * @version		$Id: columns.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */
// no direct access
defined('_JEXEC') or die('Restricted access'); 
$cparams =& JComponentHelper::getParams('com_media');
$cells = $this->params->get('product_number_columns',4);
$category_height = $this->params->get('category_image_height',150);
$product_height = $this->params->get('product_image_height',150);
$this->items =& $this->getItems($this->params);

?>

<?php if ($this->params->get('show_page_title', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	<?php echo $this->escape($this->params->get('page_title')); ?>
</div>
<?php endif; ?>
<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<tr>
	<td width="60%" valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" colspan="2">
	<?php if ($this->params->get('category_show_image') && $this->category->image) : ?>
		<img src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/'. $this->category->image;?>" 
		align="<?php echo $this->category->image_position;?>" hspace="6" alt="<?php echo $this->category->image;?>" 
		<?php if($category_height){ echo 'height="'.$category_height.'"'; } ?>
		/>
	<?php endif; ?>
	<?php if ($this->params->get('category_show_description') && $this->category->image) : ?>
		<?php echo $this->category->description; ?>
	<?php endif; ?>
</td>
</tr>
<tr>
	<td>
	
	
<?php if ($this->params->get('show_all_products')) : ?>
<form action="" method="post" name="adminForm">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<?php 

if ( ($this->params->get('filter') || $this->params->get('show_pagination_limit'))
&& count($this->items) < $this->total
) : ?>
<tr>
	<td colspan="<?php echo $cells; ?>">
		<table>
		<tr>
		<?php if ($this->params->get('filter')) : ?>
			<td align="left" width="60%" nowrap="nowrap">
				<?php echo JText::_('MYMUSE '.strtoupper($this->params->get('filter_type')) . ' FILTER').'&nbsp;'; ?>
				<input type="text" name="filter" value="<?php echo $this->escape($this->lists['filter']);?>" class="inputbox" onchange="document.adminForm.submit();" />
			</td>
		<?php endif; ?>
		<?php if ($this->params->get('show_pagination_limit')) : ?>
			<td align="right" width="40%" nowrap="nowrap">
			<?php
				echo '&nbsp;&nbsp;&nbsp;'.JText::_('MYMUSE DISPLAY NUM').'&nbsp;';
				echo MyMuseHelper::getLimitBox($this->limit);
			?>
			</td>
		<?php endif; ?>
		</tr>
		</table>
	</td>
</tr>
<?php endif; ?>

<tr>
	    <?php
	    // here we start the display of albums in this Category/Artist
	    $i =0;
		foreach($this->items as $item){
			?>
				<td valign="top">
				<table>
					
					<tr>
						<td align="center" width="150"><strong><a href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a></strong>
						</td>
					</tr>
					
					<?php if ($this->params->get('show_product_image')) : ?>
					<tr>
						<td align="center" <?php  if($product_height){ ?> height="<?php echo $product_height; ?>" <?php } ?> width="150">
						<?php if ($item->image) : ?>
							<a href="<?php echo $item->link; ?>"><img 
							<?php  if($product_height){ ?> height="<?php echo $product_height; ?>" <?php } ?>
							src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/albums/'.  $item->image;?>"  
							hspace="6" alt="<?php echo $item->image;?>" /></a>
							<?php endif; ?>
						</td>
					</tr>
					<?php endif; ?>
					<?php if (count($item->reviews) && $this->params->get('show_review_links')) : ?>
						<?php foreach($item->reviews as $review){
							$link = "index.php?option=com_content&view=article&id=".$review->content_id;
							?>
						<tr>
							<td align="center" width="150"><strong><a href="<?php echo $link; ?>"><?php echo $review->title; ?></a></strong>
							</td>
						</tr>
						<?php  } ?>
					<?php endif; ?>
					
				</table>
				</td>
			<?php 
			$i++;
			$r = $i %  $cells;
			if(!$r){
				echo '</tr><tr>';	
			}
		}
		for($i=0; $i< $cells-$r; $i++){
			echo '<td>&nbsp;</td>';
		}
		?>
</tr>
</table>


<input type="hidden" name="id" value="<?php echo $this->category->id; ?>" />
<input type="hidden" name="sectionid" value="<?php echo $this->category->sectionid; ?>" />
<input type="hidden" name="task" value="<?php echo $this->lists['task']; ?>" />
<input type="hidden" name="filter_order" value="" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="limitstart" value="0" />
</form>
<?php endif; ?>
	</td>
</tr>


<?php if ($this->params->get('show_pagination')) : ?>
<tr>
	<td colspan="<?php echo $cells; ?>">&nbsp;</td>
</tr>
<tr>
	<td align="center" colspan="<?php echo $cells; ?>" class="sectiontablefooter<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
		<?php echo $this->pagination->getPagesLinks(); ?>
	</td>
</tr>
<tr>
	<td colspan="<?php echo $cells; ?>" align="right">
		<?php echo $this->pagination->getPagesCounter(); ?>
	</td>
</tr>
<?php endif; ?>


</table>
