<?php 
/**
 * @version		$Id: list.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
$cparams =& JComponentHelper::getParams('com_media');
$cells = $this->params->get('product_number_columns',4);
$category_height = $this->params->get('category_image_height',150);
$product_height = $this->params->get('product_image_height',150);
$this->items =& $this->getItems($this->params);

?>
<?php if ($this->params->get('show_page_title', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	<?php echo $this->escape($this->params->get('page_title')); ?>
</div>
<?php endif; ?>
<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<tr>
	<td width="60%" valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" colspan="2">
	<?php if ($this->params->get('category_show_image') && $this->category->image) : ?>
		<img src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/'. $this->category->image;?>" 
		align="<?php echo $this->category->image_position;?>" hspace="6" alt="<?php echo $this->category->image;?>" 
		<?php if($category_height){ echo 'height="'.$category_height.'"'; } ?>
		/>
	<?php endif; ?>
	<?php if ($this->params->get('category_show_description') && $this->category->image) : ?>
		<?php echo $this->category->description; ?>
	<?php endif; ?>
</td>
</tr>
<tr>
	<td>

<script language="javascript" type="text/javascript">

	function tableOrdering( order, dir, task )
	{
		var form = document.adminForm;

		form.filter_order.value 	= order;
		form.filter_order_Dir.value	= dir;
		document.adminForm.submit( task );
	}
</script>

<?php if ($this->params->get('show_all_products')) : ?>
<form action="" method="post" name="adminForm">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<?php if ( ($this->params->get('filter') || $this->params->get('show_pagination_limit'))
&& count($this->items) > $this->limit
) : ?>
<tr>
	<td colspan="<?php echo $cells; ?>">
		<table>
		<tr>
		<?php if ($this->params->get('filter')) : ?>
			<td align="left" width="60%" nowrap="nowrap">
				<?php echo JText::_('MYMUSE '.strtoupper($this->params->get('filter_type')) . ' FILTER').'&nbsp;'; ?>
				<input type="text" name="filter" value="<?php echo $this->escape($this->lists['filter']);?>" class="inputbox" onchange="document.adminForm.submit();" />
			</td>
		<?php endif; ?>
		<?php if ($this->params->get('show_pagination_limit')) : ?>
			<td align="right" width="40%" nowrap="nowrap">
			<?php
				echo '&nbsp;&nbsp;&nbsp;'.JText::_('MYMUSE DISPLAY NUM').'&nbsp;';
				echo $this->pagination->getLimitBox();
			?>
			</td>
		<?php endif; ?>
		</tr>
		</table>
	</td>
</tr>
<?php endif; ?>

<?php if ($this->params->get('show_headings',1)) : ?>
<tr>
	<?php if ($this->params->get('show_product_image')) : ?>
	<td class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="20%">
		<?php echo JText::_('MYMUSE IMAGE'); ?>
	</td>
	<?php endif; ?>
	
	<?php if ($this->params->get('show_product_title',1)) : ?>
 	<td class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="70%">
		<?php echo JHTML::_('grid.sort',  'MYMUSE TITLE', 'a.title', $this->lists['order_Dir'], $this->lists['order'] ); ?>
	</td>
	<?php endif; ?>
	
	<?php if ($this->params->get('show_catnames',1)) : ?>
 	<td class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="20%">
		<?php echo $this->catname; ?>
	</td>
	<?php endif; ?>
	
	<?php if ($this->params->get('show_date')) : ?>
	<td class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="20%">
		<?php echo JHTML::_('grid.sort',  'MYMUSE DATE', 'a.created', $this->lists['order_Dir'], $this->lists['order'] ); ?>
	</td>
	<?php endif; ?>
	
	<?php if ($this->params->get('show_review_links')) : ?>
	<td class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="20%">
		<?php echo JText::_('MYMUSE REVIEWS'); ?>
	</td>
	<?php endif; ?>
	
	<?php if ($this->params->get('show_hits',1)) : ?>
	<td align="center" class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="5%" nowrap="nowrap">
		<?php echo JHTML::_('grid.sort',  'MYMUSE HITS', 'a.hits', $this->lists['order_Dir'], $this->lists['order'] ); ?>
	</td>
	<?php endif; ?>
</tr>
<?php endif; ?>

<?php $i = 0;
foreach ($this->items as $item) : ?>
	<tr class="sectiontableentry<?php echo ($item->odd +1 ) . $this->escape($this->params->get('pageclass_sfx')); ?>">
		
	<?php if ($this->params->get('show_product_image')) : ?>
		<td  valign="top" align="center" height="<?php echo $product_height; ?>" width="150">
		<?php if($item->image) : ?>
			<a href="<?php echo $item->link; ?>"><img
			height="<?php echo $product_height; ?>"
			src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/albums/'.  $item->image;?>"
			hspace="6" alt="<?php echo $item->image;?>" /></a>
			<?php endif; ?>
			</td>
	<?php endif; ?>
	
	<?php if ($this->params->get('show_product_title',1)) : ?>
		<?php if ($item->access <= $this->user->get('aid', 0)) : ?>
		<td valign="top">
		<a href="<?php echo $item->link; ?>">
			<?php echo $this->escape($item->title); ?></a>
			<?php if ($this->params->get('show_intro_text')) : ?>
			<br /><?php echo $item->introtext; ?>
			<?php endif; ?>
		</td>
		<?php else : ?>
		<td valign="top">
		<?php
			echo $this->escape($item->title).' : ';
			$link = JRoute::_('index.php?option=com_user&view=login');
			$returnURL = JRoute::_(ProductHelperRoute::getProductRoute($item->slug, $item->catslug, $item->sectionid), false);
			$fullURL = new JURI($link);
			$fullURL->setVar('return', base64_encode($returnURL));
			$link = $fullURL->toString();
		?>
		<a href="<?php echo $link; ?>">
			<?php echo JText::_( 'MYMUSE REGISTER TO READ MORE' ); ?></a>
		</td>
		<?php endif; ?>
	<?php endif; ?>

	<?php if ($this->params->get('show_catnames',1)) : ?>
	<td valign="top">
		<?php foreach($item->catnames as $catname){ 
			echo $catname->title.' <br /> '; 
		}
		?>
	</td>
	<?php endif; ?>
		
	<?php if ($this->params->get('show_date')) : ?>
	<td valign="top">
		<?php echo $item->product_made_date; ?>
	</td>
	<?php endif; ?>
	
	<?php if ($this->params->get('show_review_links')) : ?>
	<td valign="top">
		<?php foreach($item->reviews as $review){
			$link = "index.php?option=com_content&view=article&id=".$review->content_id;
		?>
		<strong><a href="<?php echo $link; ?>"><?php echo $review->title; ?></a></strong><br />
		<?php  } ?>
	</td>
	<?php endif; ?>
	
	<?php if ($this->params->get('show_hits',1)) : ?>
	<td valign="top" align="center">
		<?php echo $this->escape($item->hits) ? $this->escape($item->hits) : '-'; ?>
	</td>
	<?php endif; ?>
</tr>
<?php endforeach; ?>
<?php endif; ?>


<?php if ($this->params->get('show_pagination')) : ?>
<tr>
	<td colspan="5">&nbsp;</td>
</tr>
<tr>
	<td align="center" colspan="4" class="sectiontablefooter<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
		<?php echo $this->pagination->getPagesLinks(); ?>
	</td>
</tr>
<tr>
	<td colspan="5" align="right">
		<?php echo $this->pagination->getPagesCounter(); ?>
	</td>
</tr>
<?php endif; ?>
</table>

<input type="hidden" name="id" value="<?php echo $this->category->id; ?>" />
<input type="hidden" name="sectionid" value="<?php echo $this->category->sectionid; ?>" />
<input type="hidden" name="task" value="<?php echo $this->lists['task']; ?>" />
<input type="hidden" name="filter_order" value="" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="limitstart" value="0" />
</form>

	</td>
</tr>
</table>

