<?php 
/**
 * @version		$Id: product.php 155 2010-10-12 04:01:01Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
$cparams 	=& JComponentHelper::getParams('com_media');
$product 	= $this->product;
$items		= $this->product->items;
$tracks		= $this->product->tracks;
$params 	= $this->params;
$user 		= $this->user;
$print 		= $this->print;
$Itemid		= $this->Itemid;
$height 	= $this->params->get('product_product_image_height',150);
global $store, $shopper, $cart;

$add_all_link = 'index.php?option=com_mymuse&view=product&task=addalltrackstocart&id='. $product->id.'&catid='.$product->catid.'&Itemid='.$Itemid;
$add_album_link = 'index.php?option=com_mymuse&view=product&task=addtocart&id='.$product->id.'&catid='.$product->catid.'&Itemid='.$Itemid;
$return_link = 'index.php?option=com_mymuse&view=product&task=product&id='.$product->id.'&catid='.$product->catid.'&Itemid='.$Itemid;

?>
<div class="contentpaneopen">
<div class="contentpane">
<form method="post" action="index.php">
<input type="hidden" name="option" value="com_mymuse" />
<input type="hidden" name="task" value="addtocart" />
<input type="hidden" name="sectionid" value="<?php echo $product->sectionid; ?>" />
<input type="hidden" name="catid" value="<?php echo $product->catid; ?>" />
<input type="hidden" name="Itemid" value="<?php echo $Itemid; ?>" />
<input type="hidden" name="view" value="<?php echo $this->view; ?>" />
	
<table width="100%" border="0">
<tr>
	<td>
	<table width="100%" border="0">
	  <tr>
   <?php if ($params->get('product_show_product_image') && $product->image) : ?>
		<td width="<?php echo $height; ?>" height="<?php echo $height; ?>" rowspan="2" valign="top">
			<div ><img
			height="<?php echo $height; ?>"
			src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/albums/'.  $product->image;?>"
			hspace="6" alt="<?php echo $product->image;?>" /></div>
		</td>
	<?php endif; ?>
	
		<td width="100%" height="10%" valign="top">
			<span class="componentheading "><?php echo $product->title; ?></span> - 
			<a href="<?php echo $product->artist->link; ?>"><?php echo $product->artist->title ?></a>
		</td>
	  </tr>
	  <tr>
		<td width="100%" height="90%" valign="top">
		<?php if ($params->get('product_show_intro_text')) : ?>
			<?php echo $product->introtext ?><br />
			<a href="<?php echo $product->readmorelink; ?>" class="readon"><?php echo JText::_("MYMUSE READ MORE"); ?></a>
		<?php endif ?>
		</td>
		</tr>
	</table>
	</td>
</tr>	


<?php if (count($product->reviews) && $this->params->get('product_show_review_links')) : ?>
<tr>
<td>
	<table width="100%" border="0">
	<tr>
	<td colspan="2"><h4><?php echo JText::_('MYMUSE REVIEWS'); ?></h4>
	<?php foreach($product->reviews as $review){
		$link = "index.php?option=com_content&view=article&id=".$review->content_id;
		?>
	<a href="<?php echo $link; ?>"><?php echo $review->title; ?></a>
		
	<?php  } ?>
	</td>
	</tr>
	</table>
	</td>
</tr>

<?php endif; ?>

<tr>
	<td>
	<table width="100%" border="0">
	<tr>
		<td>
		<?php if($product->product_physical && !count($items)){  ?>
		<div class="componentheading"><?php echo JText::_('MYMUSE PRODUCT'); ?></div> 
		<table class="mymuse_cart">
		    <tr class="sectiontableheader mymuse_cart_top">
		    	<td class="sectiontableheader mymuse_cart_top" align="left" width="5%" ><?php echo JText::_('MYMUSE SELECT'); ?></td>  
        		<td class="sectiontableheader mymuse_cart_top" align="left" width="55%" ><?php echo JText::_('MYMUSE NAME'); ?></td>
       			<td class="sectiontableheader mymuse_cart_top" align="center" width="20%"><?php echo JText::_('MYMUSE COST'); ?></td>
       		<?php if ($params->get('product_show_quantity')) :?>
        		<td class="sectiontableheader mymuse_cart_top" align="left" width="20%"><?php echo JText::_('MYMUSE QUANTITY'); ?></td>
      	    <?php endif; ?>
      		</tr>
			<tr>
				<td align="center"><span class="checkbox"><input type="checkbox" name="productid[]" 
				value="<?php echo $product->id; ?>" /></span></td>
				<td><?php echo $product->title; ?></td>
				<td align="center">$ <?php echo $product->price['product_price']; ?></td>
			<?php if ($params->get('product_show_quantity')) :?>
				<td><input class="inputbox" type="text" name="quantity[<?php echo $product->id; ?>]" size="2" value="1" /> 
				<?php echo JText::_('MYMUSE QUANTITY'); ?></td>
				
			<?php else: ?>
				<input class="inputbox" type="hidden" name="quantity[<?php echo $product->id; ?>]" value="1" /> 
			<?php endif; ?>
			</tr>
		</table>
		<br />
		<br />

		<?php } ?>
		
		<?php if(count($items)){  ?>
		<div class="componentheading"><?php echo JText::_('MYMUSE ITEMS'); ?></div> 
		<table class="mymuse_cart">
		    <tr class="sectiontableheader">
		    	<td class="sectiontableheader mymuse_cart_top" align="left" width="5%" ><?php echo JText::_('MYMUSE SELECT'); ?></td>
        		<td class="sectiontableheader mymuse_cart_top" align="left" width="55%" ><?php echo JText::_('MYMUSE NAME'); ?>
				</td>
       			<?php foreach($product->attribute_sku as $a_sku){ ?>
						<td class="sectiontableheader mymuse_cart_top" align="left"><?php echo $a_sku->name; ?></td>
				<?php } ?>
       			
				<td class="sectiontableheader mymuse_cart_top" align="center" width="20%"><?php echo JText::_('MYMUSE COST'); ?></td>
        	<?php if ($params->get('product_show_quantity')) :?>
        		<td class="sectiontableheader mymuse_cart_top" align="left" width="20%"><?php echo JText::_('MYMUSE QUANTITY'); ?></td>
      	    <?php endif; ?>
      		</tr>
			<?php 
			$shown = array();
			foreach($items as $item){  

				?>
			  		<tr>
        				<td align="center"><span class="checkbox"><input type="checkbox" name="productid[]" 
        				value="<?php echo $item->id; ?>" /></span></td>
        				<td><?php echo $item->title; ?></td>
        			<?php foreach($product->attribute_sku as $a_sku){ ?>
						<td><?php echo $item->attributes[$a_sku->name]; ?></td>
					<?php } ?>
						<td align="center">$ <?php echo $item->price['product_price']; ?></td>
        			<?php if ($params->get('product_show_quantity')) :?>
						<td><input class="inputbox" type="text" name="quantity[<?php echo $item->id; ?>]" size="2" value="1" /> 
						<?php echo JText::_('MYMUSE QUANTITY'); ?></td>
				
					<?php else: ?>
						<input class="inputbox" type="hidden" name="quantity[<?php echo $item->id; ?>]" size="2" value="1" /> 
					<?php endif; ?>
      				</tr>
      		<?php  } ?>
		</table>
		<br />
		<br />
		<?php } ?>

	
		<?php if(count($tracks)){ ?>
		<div class="componentheading"><?php echo JText::_('MYMUSE DOWNLOADABLE ITEMS'); ?></div>
		<table class="mymuse_cart">
		    <tr class="sectiontableheader">
		    	<td class="sectiontableheader mymuse_cart_top" align="left" width="5%" ><?php echo JText::_('MYMUSE SELECT'); ?></td>
        		<td class="sectiontableheader mymuse_cart_top" align="left" width="55%" ><?php echo JText::_('MYMUSE NAME'); ?></td>
       			<td class="sectiontableheader mymuse_cart_top" align="center" width="20%"><?php echo JText::_('MYMUSE COST'); ?></td>
        		<td class="sectiontableheader mymuse_cart_top" align="left" width="20%"><?php echo JText::_('MYMUSE PREVIEWS'); ?></td>
      		</tr>
      		<?php foreach($tracks as $track){ ?>
			  		<tr>
        				<td align="center"><span class="checkbox"><input type="checkbox" name="productid[]" value="<?php echo $track->id; ?>" />
      						</span></td>
						<td><?php echo $track->title; ?> (<?php echo MyMuseHelper::ByteSize($track->file_length); ?>)
      						<?php  if($track->file_type == "application/zip"){ 
								echo JText::_("MYMUSE ALL TRACKS");
					 		} ?>
      						</td>
        				<td align="center" width="15%">$ <?php echo $track->price['product_price']; ?></td>
        				<td align="center" width="25%"><?php echo $track->flash; ?></td>
      				</tr>
      		<?php  } ?>
		</table>

		<?php } ?>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<td>
	<table width="100%" border="0">
	  <tr>	
		<td width="30%"><input class="button" type="submit" value="<?php echo JText::_('MYMUSE ADD SELECTIONS TO CART'); ?>"
		title="<?php echo JText::_('MYMUSE ADD SELECTIONS TO CART'); ?>" />&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td width="30%"><input class="button" type="button" value="<?php echo JText::_('MYMUSE CANCEL');; ?>" 
		title="<?php echo JText::_('MYMUSE CANCEL'); ?>" onclick="window.location='<?php echo $return_link; ?>'" /></td>
	  </tr>
	</table>
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
</tr>	
<tr>
	<td valign="top" colspan="2"><a name="readmore"></a>
	<span class="componentheading "><?php echo $product->title; ?></span><br /><br />
	<?php echo $product->fulltext; ?> </td>
</tr>
</table>
</form>

</div>
</div>

