<?php 
/**
 * @version		$Id: list.php 111 2010-09-22 16:56:17Z gfisch $
 * @package		mymuse
 * @copyright	Copyright © 2010 - Arboreta Internet Services - All rights reserved.
 * @license		GNU/GPL
 * @author		Gordon Fisch
 * @author mail	info@mymuse.ca
 * @website		http://www.mymuse.ca
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
$cparams =& JComponentHelper::getParams('com_media');
$category_image_height = $this->params->get('section_category_image_height',150);
$product_image_height = $this->params->get('section_product_image_height',150);

$cells = 1;
if ($this->params->get('section_show_category_image')){
	$cells++;
}
if ($this->params->get('show_date')){
	$cells++;
}
?>

<?php if ($this->params->get('show_page_title', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	<?php echo $this->escape($this->params->get('page_title')); ?>
</div>
<?php endif; ?>


<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">

<?php if (is_array($this->section)) : ?>
<?php foreach($this->section as $section){ 
	$link = JRoute::_('index.php?option=com_mymuse&view=section&layout='.$this->old_layout."&id=".$section->id);
	$link = myMuseHelperRoute::getSectionRoute($section->id);
	?>
	<tr>
		<td width="100%" colspan="<?php echo $cells; ?>" valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" colspan="2">
		<a href="<? echo $link; ?>"><?php echo $section->title; ?></a>
	
		<?php if ($this->params->get('show_description_image') && $section->image) : ?>
			<img src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/'.  $section->image;?>" align="<?php echo $section->image_position;?>" hspace="6" alt="<?php echo $section->image;?>" />
		<?php endif; ?>
		<?php if ($this->params->get('show_description') && $section->description) : ?>
			<?php echo $section->description; ?>
		<?php endif; ?>
		<br />
		<br />
		<br />
		<br />
	
		</td>
	</tr>
<?php } ?>

<?php else : ?>
	<tr>
		<td width="100%" colspan="<?php echo $cells; ?>" valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" colspan="2">
		<?php if ($this->params->get('section_show_image') && $this->section->image) : ?>
			<img src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/'.  $this->section->image;?>" align="<?php echo $this->section->image_position;?>" hspace="6" alt="<?php echo $this->section->image;?>" />
		<?php endif; ?>
		<?php if ($this->params->get('section_show_description') && $this->section->description) : ?>
			<?php echo $this->section->description; ?>
		<?php endif; ?>
		</td>
	</tr>
<?php endif; ?>

<?php if ($this->params->get('section_show_categories', 0)) : ?>

	<?php foreach ($this->categories as $category) : ?>
		<?php if (!$this->params->get('show_empty_categories') && !$category->numitems) continue; ?>
		<tr>
			<?php if ($this->params->get('section_show_category_image')) : ?>
			<td valign="top" align="center" height="<?php echo $category_image_height; ?>" width="150">
			<?php endif; ?>
			
			<?php if ($this->params->get('section_show_category_image') && $category->image) : ?>
				<a
				href="<?php echo $category->link; ?>"><img
				height="<?php echo $category_image_height; ?>"
				src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/'.  $category->image;?>"
				hspace="6" alt="<?php echo $category->image;?>" /></a>
				<br />&nbsp;
			<?php endif; ?>
			
			<?php if ($this->params->get('section_show_category_image')) : ?>
			</td>
			<?php endif; ?>
			
			<td width="500" valign="top">
			<a href="<?php echo $category->link; ?>" class="category">
				<?php echo $this->escape($category->title);?></a>
			<?php if ($this->params->get('section_show_cat_num_products')) : ?>
			&nbsp;
			<span class="small">
				( <?php if ($category->numitems==1) {
				echo $category->numitems ." ". JText::_( 'MYMUSE ITEM' );}
				else {
				echo $category->numitems ." ". JText::_( 'MYMUSE ITEMS' );} ?> )
			</span>
			<?php endif; ?>
			
			<?php if ($this->params->def('section_show_category_description', 1) && $category->description) : ?>
			<br />
			<?php echo $category->description; ?>
			<?php endif; ?>
			
			</td>
		</tr>
	<?php endforeach; ?>

<?php endif; ?>
</table>


<?php if ($this->params->get('section_show_all_products')) : ?>
<hr>
<form action="" method="post" name="adminForm">
<div class="componentheading"><?php echo JText::_('MYMUSE ALL PRODUCTS');?></div>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<?php if ($this->params->get('filter') || $this->params->get('show_pagination_limit')
&& count($this->items) > $this->limit) : ?>
<tr>
	<td colspan="5">
		<table>
		<tr>
		<?php if ($this->params->get('filter')) : ?>
			<td align="left" width="60%" nowrap="nowrap">
				<?php echo JText::_('MYMUSE '.strtoupper($this->params->get('filter_type')) . ' FILTER').'&nbsp;'; ?>
				<input type="text" name="filter" value="<?php echo $this->escape($this->filter);?>" class="inputbox" onchange="document.adminForm.submit();" />
			</td>
		<?php endif; ?>
		<?php if ($this->params->get('show_pagination_limit')) : ?>
			<td align="right" width="40%" nowrap="nowrap">
			<?php
				echo '&nbsp;&nbsp;&nbsp;'.JText::_('MYMUSE DISPLAY NUM').'&nbsp;';
				echo $this->pagination->getLimitBox();
			?>
			</td>
		<?php endif; ?>
		</tr>
		</table>
	</td>
</tr>
<?php endif; ?>
<tr>
	    <?php
	    $i =0;
		foreach($this->items as $item){
			?>
				<td valign="top">
				<table>
					
					<tr>
						<td align="center" width="150"><strong><a href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a></strong>
						</td>
					</tr>
					
					<?php if ($this->params->get('section_show_product_image')) : ?>
					<tr>
						<td align="center" height="<?php echo $product_image_height; ?>" width="150">
						<?php if ($item->image) : ?>
							<a href="<?php echo $item->link; ?>"><img 
							height="<?php echo $product_image_height; ?>"
							src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/albums/'.  $item->image;?>"  
							hspace="6" alt="<?php echo $item->image;?>" /></a>
							<?php endif; ?>
						</td>
					</tr>
					<?php endif; ?>
					
				</table>
				</td>
			<?php 
			$i++;
			$r = $i %  $cells;
			if(!$r){
				echo '</tr><tr>';	
			}
		}
		for($i=0; $i< $cells-$r; $i++){
			echo '<td>&nbsp;</td>';
		}
		?>
</tr>
</table>

<?php if ($this->params->get('show_pagination')) : ?>
<table width="90%">
<tr>	
	<td align="center" colspan="<?php echo $cells; ?>" 
	class="sectiontablefooter<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">		
	<?php echo $this->pagination->getPagesLinks(); ?>	</td></tr>
	<tr><td colspan="3"><div class="hr">&nbsp;</div></td></tr>
	<tr>	<td colspan="<?php echo $cells; ?>" align="right">		
	<?php echo $this->pagination->getPagesCounter(); ?>	</td></tr>
</table>
<?php endif; ?>

<input type="hidden" name="id" value="<?php echo $this->section->id; ?>" />
<input type="hidden" name="option" value="com_mymuse" />
<input type="hidden" name="view" value="section" />
<input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>" />
<input type="hidden" name="layout" value="<?php echo $this->layout; ?>" />
<input type="hidden" name="filter_order" value="" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="limitstart" value="0" />
</form>
<?php endif; ?>
